<?php

class Elementor_pishro_brand extends \Elementor\Widget_Base
{


    public function get_name()
    {
        return 'pishro_brand';
    }


    public function get_title()
    {
        return 'برندها';
    }

    public function get_icon()
    {
        return 'eicon-logo';
    }


    public function get_categories()
    {
        return ['pishro'];
    }

    public function get_keywords()
    {
        return ['brand'];
    }



    protected function register_controls()
    {
        $this->start_controls_section(
            'content_section',
            [
                'label' => esc_html__( 'المان محصولات', 'textdomain' ),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );
        $this->add_control(
            'title',
            [
                'label'       => __('عنوان ','pishro'),
                'type'        => \Elementor\Controls_Manager::TEXT,
                'input_type'  => 'text',
                'placeholder' => '',
                'default' => 'محبوب ترین برند ها',
            ]
        );

        $this->add_control(
            'number',
            [
                'label' => 'تعداد پست',
                'type' => \Elementor\Controls_Manager::NUMBER,
                'min' => 1,
                'max' => 40,
                'step' => 1,
                'default' => 8,
            ]
        );
        $this->add_control(
            'item_slide',
            [
                'label' => 'تعداد آیتم های اسلایدر',
                'type' => \Elementor\Controls_Manager::NUMBER,
                'min' => 3,
                'max' => 9,
                'step' => 1,
                'default' => 6,
            ]
        );
        $this->add_control(
            'autoplay',
            [
                'label' => 'حرکت خودکار',
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => esc_html__( 'فعال', 'textdomain' ),
                'label_off' => esc_html__( 'غیرفعال', 'textdomain' ),
                'return_value' => 'true',
                'default' => '',
            ]
        );
        $this->add_control(
            'loop',
            [
                'label' => 'حلقه بی نهایت',
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => esc_html__( 'فعال', 'textdomain' ),
                'label_off' => esc_html__( 'غیرفعال', 'textdomain' ),
                'return_value' => 'true',
                'default' => '',
            ]
        );
        $this->add_control(
            'empty',
            [
                'label' => 'خالی ها پنهان شود',
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => esc_html__( 'فعال', 'textdomain' ),
                'label_off' => esc_html__( 'غیرفعال', 'textdomain' ),
                'return_value' => 'true',
                'default' => '',
            ]
        );

        $this->end_controls_section();
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        $empty = ! empty( $settings['empty'] ) ? 1 : 0;
        ?>
        <section class="hero-product">
            <div class="container">
                <?php if ($settings['title']) { ?>
                <header class="title-brand">
                    <h4><?php echo $settings['title'] ?></h4>
                </header>
                <?php } ?>
                <div class="box-brand">
                    <div class="inner-brand">
                        <div class="owl-carousel owl-theme brand-slider-el">
                            <?php
                            $terms = get_terms( array(
                                'taxonomy' => 'product_brand', // set your taxonomy here
                                'hide_empty' => $empty, // default: true
                            ) );
                            if ( empty( $terms ) || is_wp_error( $terms ) ) {
                                return;
                            }
                            $tm = get_field('brand_thumbnail');
                            echo $tm;
                            foreach( $terms as $term ) : ?>
                                <div class="item product-item">
                                    <a href="<?php echo get_term_link( $term->term_id ); ?>">
                                        <figure>
                                            <?php
                                            echo wp_get_attachment_image(get_term_meta($term->term_id, 'brand_thumbnail', true), 'full', false, ['class' => '']);
                                            ?>
                                        </figure>
                                    </a>
                                </div>
                            <?php endforeach; ?>


                        </div>
                    </div>
                </div>
            </div>
        </section>

        <script>
            jQuery(function (){
                jQuery('.brand-slider-el').owlCarousel({
                    loop:<?php if ($settings['loop']) {echo "true";} else {echo "false";} ?>,
                    autoplay:<?php if ($settings['autoplay']) {echo "true";} else {echo "false";} ?>,
                    dots:false,
                    nav:true,
                    navText:"",
                    rtl: true,
                    responsive:{
                        0:{
                            items:1
                        },
                        576:{
                            items:3
                        },
                        768:{
                            items:4
                        },
                        992:{
                            items:5
                        },
                        1100:{
                            items:<?php echo $settings['item_slide']; ?>
                        }
                    }
                });
            });

        </script>

        <?php
    }

}