<?php

class Elementor_pishro_insta extends \Elementor\Widget_Base
{


    public function get_name()
    {
        return 'pishro_insta';
    }


    public function get_title()
    {
        return 'پست های اینستاگرام';
    }

    public function get_icon()
    {
        return 'eicon-instagram-post';
    }


    public function get_categories()
    {
        return ['pishro'];
    }

    public function get_keywords()
    {
        return ['instagram'];
    }



    protected function register_controls()
    {
        $this->start_controls_section(
            'content_section',
            [
                'label' => esc_html__( 'المان محصولات', 'textdomain' ),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );


        $this->add_control(
            'number',
            [
                'label' => 'تعداد پست',
                'type' => \Elementor\Controls_Manager::NUMBER,
                'min' => 1,
                'max' => 40,
                'step' => 1,
                'default' => 6,
            ]
        );
        $this->add_control(
            'item_slide',
            [
                'label' => 'تعداد آیتم های اسلایدر',
                'type' => \Elementor\Controls_Manager::NUMBER,
                'min' => 4,
                'max' => 7,
                'step' => 1,
                'default' => 5,
            ]
        );
        $this->add_control(
            'autoplay',
            [
                'label' => 'حرکت خودکار',
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => esc_html__( 'فعال', 'textdomain' ),
                'label_off' => esc_html__( 'غیرفعال', 'textdomain' ),
                'return_value' => 'true',
                'default' => '',
            ]
        );
        $this->add_control(
            'loop',
            [
                'label' => 'حلقه بی نهایت',
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => esc_html__( 'فعال', 'textdomain' ),
                'label_off' => esc_html__( 'غیرفعال', 'textdomain' ),
                'return_value' => 'true',
                'default' => '',
            ]
        );

        $this->add_control(
            'image_insta',
            [
                'label' => esc_html__( 'تصویر اینستاگرام', 'textdomain' ),
                'type' => \Elementor\Controls_Manager::MEDIA,
                'default' => [
                    'url' => get_template_directory_uri()."/img/insta.png",
                ],
            ]
        );

        $this->add_control(
            'link',
            [
                'type' => \Elementor\Controls_Manager::URL,
                'label'       => 'آدرس پیج',
                'options' => [ 'url', 'is_external', 'nofollow' ],
                'default' => [
                    'url' => '',
                    'is_external' => true,
                    'nofollow' => false,
                    // 'custom_attributes' => '',
                ],
                'label_block' => true,
            ]
        );
        $this->add_control(
            'bg',
            [
                'label' => 'رنگ پس زمینه ',
                'type' => \Elementor\Controls_Manager::COLOR,
            ]
        );



        $this->end_controls_section();

        
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        $item = $settings['item_slide'];
        if ($item==4) { ?>
            <style>
                .first-item {width: 21%} .bx-ins {width: 79%}
            </style>
        <?php }
        if ($item==5) { ?>
            <style>
                .first-item {width: 17.5%} .bx-ins {width: 82.5%}
            </style>
        <?php }
        if ($item==6) { ?>
            <style>
                .first-item {width: 15.2%} .bx-ins {width: 84.8%}
            </style>
        <?php }
        if ($item==7) { ?>
            <style>
                .first-item {width: 13.5%} .bx-ins {width: 86.5%}
            </style>
        <?php }
        ?>

        <section class="hero-product">
            <div class="container">
                <?php $bg = $settings['bg']; ?>
                <div class="box-insta" <?php if ($bg) {echo "style='background:$bg'";} ?>>
                    <div class="first-item">
                        <figure class="amazing-thumbnails">
                            <?php
                            $target = $settings['link']['is_external'] ? 'target="_blank"' : '';
                            $nofollw = $settings['link']['nofollow'] ? 'rel="nofollow"' : '';
                            ?>
                            <a <?php echo $target,$nofollw ?> href="<?php echo $settings['link']['url']; ?>" target="_blank">
                            <?php if ($settings['image_insta']) {
                                ?><img src="<?php echo $settings['image_insta']['url'] ?>"><?php
                            }
                            else {
                                ?><img src="<?php echo get_template_directory_uri().'/img/insta.png'; ?>"><?php
                            }
                            ?>
                            </a>
                        </figure>
                    </div>
                    <div class="bx-ins">
                        <div class="owl-carousel owl-theme insta-slider-el">
                            <?php
                            $small_post = new WP_Query(array(
                                'post_type' => 'insta',
                                'posts_per_page' => $settings['number'],
                                'no_found_rows' => 1,
                            ));
                            if ($small_post->have_posts()) {
                                while ($small_post->have_posts()) : $small_post->the_post(); ?>
                                    <div class="item product-item">
                                        <a href="<?php the_permalink(); ?>" target="_blank">
                                            <figure>
                                                <?php
                                                if (has_post_thumbnail()) {
                                                    the_post_thumbnail();
                                                } else {
                                                    ?><img src="<?php echo get_template_directory_uri() . '/img/i-1.jpg' ?>"> <?php
                                                }
                                                ?>
                                            </figure>
                                        </a>
                                    </div>
                                <?php
                                endwhile;
                            } else {
                                echo "<p>مطلبی پیدا نشد</p>";
                            }
                            wp_reset_postdata();
                            ?>


                        </div>
                    </div>
                </div>
            </div>
        </section>

        <script>
            jQuery(function (){
                jQuery('.insta-slider-el').owlCarousel({
                    loop:<?php if ($settings['loop']) {echo "true";} else {echo "false";} ?>,
                    autoplay:<?php if ($settings['autoplay']) {echo "true";} else {echo "false";} ?>,
                    margin:0,
                    dots:false,
                    nav:false,
                    navText:"",
                    rtl: true,
                    responsive:{
                        0:{
                            items:1
                        },
                        576:{
                            items:3
                        },
                        768:{
                            items:4
                        },
                        992:{
                            items:<?php echo $settings['item_slide']; ?>
                        }
                    }
                })
            });

        </script>

        <?php
    }

}