<?php

class Elementor_pishro_main_slider extends \Elementor\Widget_Base
{


    public function get_name()
    {
        return 'pishro_main_slider';
    }


    public function get_title()
    {
        return 'اسلایدر اصلی پیشرو';
    }

    public function get_icon()
    {
        return 'eicon-slider-device';
    }


    public function get_categories()
    {
        return ['pishro'];
    }

    public function get_keywords()
    {
        return ['slider', 'slideshow'];
    }


    protected function register_controls()
    {

        $this->start_controls_section(
            'content_section',
            [
                'label' => esc_html__( 'اسلایدر', 'textdomain' ),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $slider = new \Elementor\Repeater();

        $slider->add_control(
            'image_main_slider',
            [
                'label' => esc_html__( 'انتخاب تصویر', 'textdomain' ),
                'type' => \Elementor\Controls_Manager::MEDIA,
            ]
        );

        $slider->add_control(
            'url_main_slider',
            [
                'label' => 'لینک اسلایدر',
                'type' => \Elementor\Controls_Manager::URL,
                'options' => [ 'url', 'is_external', 'nofollow' ],
                'default' => [
                    'url' => '',
                    'is_external' => true,
                    'nofollow' => false,
                    // 'custom_attributes' => '',
                ],
                'label_block' => true,
            ]
        );

        $this->add_control(
            'main_slider',
            [
                'label' => esc_html__( 'اسلایدر', 'textdomain' ),
                'type' => \Elementor\Controls_Manager::REPEATER,
                'fields' => $slider->get_controls(),
                'default' => [
                    [
                        'url_main_slider' => esc_html__( 'Title #1', 'textdomain' ),
                    ],
                ],
                'title_field' => 'اسلایدر',
            ]
        );



        $this->add_control(
            'more_options',
            [
                'label' => 'تنظیمات اسلایدر',
                'type' => \Elementor\Controls_Manager::HEADING,
                'separator' => 'before',
            ]
        );


        $this->add_control(
            'slide_border_radius',
            [
                'label' => 'گوشه های گرد',
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => esc_html__( 'فعال', 'textdomain' ),
                'label_off' => esc_html__( 'غیرفعال', 'textdomain' ),
                'return_value' => 'yes',
                'default' => 'yes',
            ]
        );
        $this->add_control(
            'autoplay',
            [
                'label' => 'حرکت خودکار',
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => esc_html__( 'فعال', 'textdomain' ),
                'label_off' => esc_html__( 'غیرفعال', 'textdomain' ),
                'return_value' => 'yes',
                'default' => 'yes',
            ]
        );
        $this->add_control(
            'show_bullet_slider',
            [
                'label' => 'نقطه های زیر اسلایدر',
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => esc_html__( 'نمایش', 'textdomain' ),
                'label_off' => esc_html__( 'مخفی', 'textdomain' ),
                'return_value' => 'yes',
                'default' => 'yes',
            ]
        );
        $this->add_control(
            'show_nav_slider',
            [
                'label' => 'نمایش پیکان ها',
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => esc_html__( 'نمایش', 'textdomain' ),
                'label_off' => esc_html__( 'مخفی', 'textdomain' ),
                'return_value' => 'yes',
                'default' => 'yes',
            ]
        );
        $this->end_controls_section();




    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        $main_slider = $settings['main_slider'];
        ?>

        <section class="main-slider">
                <div class="owl-carousel owl-theme main-slider-el">
                    <?php
                    foreach ($main_slider as $item) { ?>
                    <div class="item">
                        <?php
                        $target = $item['url_main_slider']['is_external'] ? 'target="_blank"' : '';
                        $nofollw = $item['url_main_slider']['nofollow'] ? 'rel="nofollow"' : '';
                        ?>
                        <a <?php echo $target,$nofollw ?> href="<?php echo $item['url_main_slider']['url']; ?>">
                            <img src="<?php echo $item['image_main_slider']['url']; ?>">
                        </a>
                    </div>
                    <?php } ?>
                </div>
        </section>

        <script>
            jQuery(function (){
                jQuery('.main-slider-el').owlCarousel({
                    loop:true,
                    margin:0,
                    autoplay: <?php if ($settings['autoplay']){echo "true";} else {echo "false"; } ?>,
                    nav:<?php if ($settings['show_nav_slider']){echo "true";} else {echo "false"; } ?>,
                    dots:<?php if ($settings['show_bullet_slider']){echo "true";} else {echo "false"; } ?>,
                    navText:"",
                    rtl: true,
                    responsive:{
                        0:{
                            items:1
                        },
                        600:{
                            items:1
                        },
                        1000:{
                            items:1
                        }
                    }
                })
            });

        </script>
        <?php
        if (!$settings['slide_border_radius']){
            ?>
            <style>
                .main-slider .owl-carousel .owl-stage-outer {
                    border-radius:0;
                }
            </style>
            <?php
        }
        ?>

        <?php
    }

}