<?php

class Elementor_pishro_product_special extends \Elementor\Widget_Base
{


    public function get_name()
    {
        return 'pishro_product_special';
    }


    public function get_title()
    {
        return 'محصولات خاص';
    }

    public function get_icon()
    {
        return 'eicon-thumbnails-right';
    }


    public function get_categories()
    {
        return ['pishro'];
    }

    public function get_keywords()
    {
        return ['product','special'];
    }

    protected function register_controls()
    {
        $this->start_controls_section(
            'content_section',
            [
                'label' => esc_html__( 'المان محصولات', 'textdomain' ),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );
        $this->add_control(
            'title',
            [
                'label'       => __('عنوان','pishro'),
                'type'        => \Elementor\Controls_Manager::TEXT,
                'input_type'  => 'text',
                'placeholder' => '',
                'default' => 'محصولات ویژه',
            ]
        );
        $this->add_control(
            'post_number',
            [
                'label'       => 'شامل محصولات',
                'description'       => 'شناسه های محصول را با کاما انگلیسی جدا کنید.',
                'type'        => \Elementor\Controls_Manager::TEXT,
                'input_type'  => 'text',
                'placeholder' => '25,28,36',
            ]
        );

        $this->add_control(
            'attr',
            [
                'label' => 'نمایش ویژگی ها',
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => esc_html__( 'نمایش', 'textdomain' ),
                'label_off' => esc_html__( 'مخفی', 'textdomain' ),
                'return_value' => 'yes',
                'default' => 'yes',
            ]
        );
        $this->add_control(
            'tag',
            [
                'label' => 'نمایش برچسب تخفیف',
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => esc_html__( 'نمایش', 'textdomain' ),
                'label_off' => esc_html__( 'مخفی', 'textdomain' ),
                'return_value' => 'yes',
                'default' => 'yes',
            ]
        );


        $this->end_controls_section();

        
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        $posts = $settings['post_number'];
        $array = explode(',',$posts);
        ?>

        <div class="hero-special">
            <div class="container">

                <div class="special-box">
                    <h4>محصولات ویژه</h4>
                    <div class="owl-carousel owl-theme special-slider">
                        <?php

                        $pro = new WP_Query(array(
                            'post_type' => 'product',
                            'no_found_rows' => 1,
                            'post__in'  => $array,
                        ));

                        if ($pro->have_posts()) {
                            while ($pro->have_posts()) : $pro->the_post();
                                global $product;
                                ?>
                                <div class="item special-item" data-dot="<button><div class='list-special'>
                <figure><img src='<?php echo get_the_post_thumbnail_url(); ?>'></figure>
                <b><?php the_title(); ?></b>
                </div></button>">
                                    <?php if ($settings['tag']) { ?>
                                    <?php if($product->is_on_sale()){ ?>
                                        <div class="discount">
                                            <b><?php echo pishro_wooocmmerce_discount(get_the_ID()) ?>٪ </b>
                                            <span>تخفیف</span>
                                        </div>
                                    <?php } else { ?>
                                        <div class="discount"><span>پیشنهاد</span><span class="title">ویژه</span></div>
                                    <?php } } ?>
                                    <figure>
                                        <?php
                                        if ($settings['attr']) {
                                        $attribute_taxonomies =  wc_get_attribute_taxonomies();
                                        foreach ($attribute_taxonomies as $item) {
                                            $att_name = $item->attribute_name;
                                            $terms = get_the_terms(get_the_ID(), 'pa_'.$att_name);

                                            if (is_array($terms)) {
                                                ?>
                                                <div class="color">
                                                    <ul>
                                                        <?php
                                                        foreach ($terms as $term) :
                                                            $tooltip = $term->name;
                                                            // بالایی ترم بود این متاهای ترمه
                                                            $colors = get_term_meta( $term->term_id, 'product_attribute_color', 1 );
                                                            ?>
                                                            <li>
                                                                <?php if ($colors) { ?>
                                                                    <span style="background: <?php echo $colors; ?>">
                                        <b><?php echo $tooltip; ?></b>
                                    </span>
                                                                    <?php
                                                                }
                                                                else { ?>
                                                                    <small><?php echo $tooltip; ?></small>
                                                                <?php } ?>
                                                            </li>
                                                        <?php endforeach; ?>
                                                    </ul>
                                                </div>
                                            <?php }

                                        }
                                        }
                                        ?>
                                        <a href="<?php the_permalink(); ?>" target="_blank">
                                            <?php
                                            global $product;
                                            $arr = array(200,200);
                                            echo (has_post_thumbnail() ? get_the_post_thumbnail(get_the_id(), array(200, 200), array('class' => 'main-img')) : wc_placeholder_img('woocommerce_thumbnail'));
                                            //pishro_second_thumbnail($arr);
                                            ?>
                                        </a>
                                    </figure>
                                    <div class="det-special">
                                        <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                                        <?php
                                        do_action("woocommerce_product_additional_information", $product);
                                        ?>

                                        <div class="down">
                                            <a href="<?php the_permalink(); ?>" target="_blank"> مشاهده محصول  </a>
                                            <?php //wc_get_template_part('loop/add-to-cart'); ?>
                                            <?php if ($product->get_price_html()) : ?>
                                                <?php if( $product->is_type( 'simple' ) ) : ?>
                                                    <div class="price"><?php echo $product->get_price_html(); ?></div>
                                                <?php else : ?>
                                                    <div class="price-variable"><div class="price"><?php echo $product->get_price_html(); ?></div></div>
                                                <?php endif; ?>
                                            <?php else : ?>
                                                <div class="contact-price">قیمت : تماس بگیرید</div>
                                            <?php endif; ?>
                                            <?php include get_template_directory() . '/template/timer.php'; ?>
                                        </div>
                                    </div>

                                </div>
                            <?php
                            endwhile;
                        } else {
                            echo "<p>مطلبی پیدا نشد</p>";
                        }
                        wp_reset_postdata();
                        ?>

                    </div>
                </div>


            </div>
        </div>
        <script>
            jQuery(function (){
                jQuery('.special-slider').owlCarousel({
                    loop:true,
                    margin:0,
                    nav:false,
                    rtl: true,
                    dots: true,

                    dotsData: true,
                    responsive:{
                        0:{
                            items:1
                        },
                        600:{
                            items:1
                        },
                        1000:{
                            items:1
                        }
                    }
                })
            });

        </script>

        <?php
    }

}