<?php

class Elementor_pishro_service extends \Elementor\Widget_Base
{


    public function get_name()
    {
        return 'pishro_service';
    }


    public function get_title()
    {
        return 'آیتم تجاری';
    }

    public function get_icon()
    {
        return 'eicon-call-to-action';
    }


    public function get_categories()
    {
        return ['pishro'];
    }

    public function get_keywords()
    {
        return ['service'];
    }



    protected function register_controls()
    {
        $this->start_controls_section(
            'content_section',
            [
                'label' => esc_html__( 'آیتم تجاری', 'textdomain' ),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );
        $item = new \Elementor\Repeater();

        $item->add_control(
            'title',
            [
                'label'       => __('عنوان ','pishro'),
                'type'        => \Elementor\Controls_Manager::TEXT,
                'input_type'  => 'text',
            ]
        );
        $item->add_control(
            'subtitle',
            [
                'label'       => __('زیر عنوان ','pishro'),
                'type'        => \Elementor\Controls_Manager::TEXT,
                'input_type'  => 'text',
            ]
        );
        $item->add_control(
            'image_item',
            [
                'label' => esc_html__( 'انتخاب تصویر', 'textdomain' ),
                'type' => \Elementor\Controls_Manager::MEDIA,

            ]
        );

        $this->add_control(
            'pishro_item',
            [
                'label' => esc_html__( 'آیتم', 'textdomain' ),
                'type' => \Elementor\Controls_Manager::REPEATER,
                'fields' => $item->get_controls(),
                'default' => [
                    [
                        'title' => 'پرداخت امن و مطمئن',
                        'subtitle' => 'درگاه پرداخت امن و دارای مجوز اینماد',
                    ],
                    [
                        'title' => 'ارسال رایگان',
                        'subtitle' => 'سفارش بالای ۳۰۰ هزار تومان',
                    ],
                ],
                'title_field' => 'آیتم',
            ]
        );


        $this->end_controls_section();
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        $services = $settings['pishro_item'];
        ?>
        <div class="service-pishro">
        <?php foreach ($services as $item) { ?>
            <div class="item-service">
                <img src="<?php echo $item['image_item']['url'] ?>">
                <b><?php echo $item['title'];?></b>
                <span><?php echo $item['subtitle'];?></span>
            </div>
        <?php } ?>
        </div>
        <?php
    }

}