<?php

add_action( 'wp_enqueue_scripts', 'add_theme_scripts' );
function add_theme_scripts(){
    // اضافه کردن فایل های css
    wp_enqueue_style('all' , get_template_directory_uri() . '/css/all.css' , array() , false , 'all');
    wp_enqueue_style('owl.carousel' , get_template_directory_uri() . '/css/owl.carousel.min.css' , array() , false , 'all');
    wp_enqueue_style('owl.theme' , get_template_directory_uri() . '/css/owl.theme.default.min.css' , array() , false , 'all');
    wp_enqueue_style('zuck' , get_template_directory_uri() . '/css/zuck.css' , array() , false , 'all');
    wp_enqueue_style('snapgram' , get_template_directory_uri() . '/css/snapgram.css' , array() , false , 'all');
    wp_enqueue_style('style' , get_stylesheet_uri() , array() , false , 'all');
    wp_enqueue_style('responsive' , get_template_directory_uri() . '/css/responsive.css' , array() , false , 'all');

    /*wp_enqueue_script( 'jquery-ui-datepicker' );
    // You need styling for the datepicker. For simplicity I've linked to the jQuery UI CSS on a CDN.
    wp_register_style( 'jquery-ui', 'https://code.jquery.com/ui/1.12.1/themes/smoothness/jquery-ui.css' );
    wp_enqueue_style( 'jquery-ui' );*/

    //wp_enqueue_script('jq' , get_template_directory_uri() . '/js/jquery-3.7.1.min.js' , array() , false , true);
    wp_enqueue_script('owl.carousel' , get_template_directory_uri() . '/js/owl.carousel.min.js' , array('jquery') , false , true);
    wp_enqueue_script('zuck' , get_template_directory_uri() . '/js/zuck.js' , array('jquery') , false , true);
    wp_enqueue_script('script' , get_template_directory_uri() . '/js/script.js' , array('jquery') , false , true);
    wp_enqueue_script('main' , get_template_directory_uri() . '/js/main.js' , array('jquery') , false , true);
}
add_action( 'admin_enqueue_scripts', 'admin_custom_style' );
function admin_custom_style(){
    wp_enqueue_style('redux_style' , get_template_directory_uri() . '/css/redux.css' , array() , false , 'all');
}

add_action('after_setup_theme','pishro_setup_theme');
function pishro_setup_theme(){
    add_theme_support('title-tag');
    add_theme_support('automatic-feed-links');
    add_theme_support('post-thumbnails');
    add_theme_support( 'woocommerce');
    add_theme_support( 'wc-product-gallery-zoom' );
    add_theme_support( 'wc-product-gallery-lightbox' );
    add_theme_support( 'wc-product-gallery-slider' );

    add_image_size('big-post',588,300,true);
    add_image_size('small-post',125,125,true);
    add_image_size('sepcial',80,80,true);

    register_nav_menus(
        array(
            'mega-menu' => __( 'مگامنو ' ),
            'main-menu' => __( 'منوی اصلی' )
        )
    );
}

add_action( 'widgets_init', 'pishro_widget' );
function pishro_widget() {
    register_sidebar( array(
        'name'          => __( 'ناحیه کناری بلاگ' ),
        'id'            => 'pishro_blog',
        'before_widget' => '<div class="widget"><div class="widget-content">',
        'after_widget'  => '</div></div>',
        'before_title'  => '<header class="widget-header"><h3><span>',
        'after_title'   => '</header></h3></span>',
    ) );

    /*register_sidebar( array(
        'name'          => __( 'ناحیه کناری آرشیو محصولات' ),
        'id'            => 'pishro_product',
        'before_widget' => '<div class="widget"><div class="widget-content widget-shop">',
        'after_widget'  => '</div></div>',
        'before_title'  => '<header class="widget-header"><h3><span>',
        'after_title'   => '</header></h3></span>',
    ) );*/
    register_sidebar( array(
        'name'          => __( 'ناحیه کناری آرشیو محصولات' ),
        'id'            => 'pishro_product',
        'before_widget' => '<div id="%1$s" class="%2$s widget"><div class="widget-shop">',
        'after_widget'  => '</div></div>',
        'before_title'  => '<header class="widget-header"><h3><span>',
        'after_title'   => '</header></h3></span>',
    ) );

    register_sidebar( array(
        'name'          => __( 'فوتر 1' ),
        'description'          => __( 'جایگاه نمایش متن درباره فروشگاه' ),
        'id'            => 'pishro_footer_one',
        'before_widget' => '<div class="f-w-content">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => __( 'فوتر 2' ),
        'id'            => 'pishro_footer_two',
        'before_widget' => '<div class="f-w-content">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => __( 'فوتر 3' ),
        'id'            => 'pishro_footer_three',
        'before_widget' => '<div class="f-w-content">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>',
    ) );
    register_sidebar( array(
        'name'          => __( 'فوتر 4' ),
        'id'            => 'pishro_footer_for',
        'before_widget' => '<div class="f-w-content">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>',
    ) );
}

// اضافه کردن تاکسونومی برند برای محصولات
add_action( 'init', 'create_brand_for_product');
function create_brand_for_product() {
    $labels = array(
        'name'              => _x( 'برندها', 'برندها' ),
        'singular_name'     => _x( 'برندها', 'برندها' ),
        'search_items'      => __( 'جستجویه برند' ),
        'all_items'         => __( 'تمام برندها' ),
        'parent_item'       => __( 'زیر برند' ),
        'parent_item_colon' => __( 'Parent Genre:' ),
        'edit_item'         => __( 'ویرایش برند' ),
        'update_item'       => __( 'بروزرسانی برند' ),
        'add_new_item'      => __( 'افزودن برند جدید' ),
        'new_item_name'     => __( 'نام جدید برند' ),
        'menu_name'         => __( 'برندها' ),
    );

    $ar = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
    );

    register_taxonomy( 'product_brand', 'product' , $ar );
}



function pishro_wooocmmerce_discount ($id)
{
    $product = wc_get_product( $id );
    if($product->is_on_sale()){
        if($product->is_type( 'variable' ))
        {
            $regular_price = $product->get_variation_regular_price( 'min' );
            $sale_price = $product->get_variation_sale_price( 'min' );
        }
        else
        {
            $regular_price = $product->get_regular_price();
            $sale_price = $product->get_sale_price();
        }

        $insale_price = (int)$regular_price - (int)$sale_price;
        $discount_price = round(($insale_price/$regular_price)*100);
        return $discount_price;
    }
}


# woocommerce second thumbnail
function id_img_gallery( $product ) {
    if (! is_a( $product, 'WC_Product' ) ) {return;}
    if (is_callable( 'WC_Product::get_gallery_image_ids' ) ) {return $product->get_gallery_image_ids();} else {return $product->get_gallery_image_ids();}
}
function second_product_img_pishro() {
    global $product, $woocommerce;
    $attachment_ids = id_img_gallery( $product );
    if ( $attachment_ids ) {
        $attachment_ids = array_values( $attachment_ids );
        $secondary_image_id = $attachment_ids['0'];
        $secondary_image_alt = get_post_meta( $secondary_image_id, '_wp_attachment_image_alt', true );
        $secondary_image_title = get_the_title($secondary_image_id);
        echo wp_get_attachment_image($secondary_image_id, 'shop_catalog', '', array('class' => 'second-thumbnail pishro-second-gallery')
        );
    }
}
function pishro_second_thumbnail($array) {
    global $product, $woocommerce;

    $attachment_ids = id_img_gallery( $product );

    if ( $attachment_ids ) {
        $attachment_ids     = array_values( $attachment_ids );
        $secondary_image_id = $attachment_ids['0'];

        $secondary_image_alt = get_post_meta( $secondary_image_id, '_wp_attachment_image_alt', true );
        $secondary_image_title = get_the_title($secondary_image_id);

        echo wp_get_attachment_image(
            $secondary_image_id,
            $array,
            '',
            array(
                'class' => 'second-thumbnail pishro-second-gallery')
        );
    }
}
add_action( 'woocommerce_before_shop_loop_item_title','second_product_img_pishro', 11 );
add_action( 'wc_secondary_thumbnails','second_product_img_pishro', 11 );


/**********دوتا دیوکلاس ابتدای صفحه را حذف میکند*********/
remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);

/*********بجاش اینو گذاشتیم********/
add_action('woocommerce_before_main_content', 'my_theme_wrapper_start', 10);
add_action('woocommerce_after_main_content', 'my_theme_wrapper_end', 10);
function my_theme_wrapper_start() {
    echo '<div class="container">';
}
function my_theme_wrapper_end() {
    echo '</div>';
}
// حذف کلمه تخفیف از صفحه داخلی مجصول
remove_action('woocommerce_before_single_product_summary','woocommerce_show_product_sale_flash');
// حذف محصولات مرتبط از بین محصولات
remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );

// حذف قیمت محصول متغیر از جایگاه فعلی و منتقل کردن به جایگاه جدید
remove_action( 'woocommerce_single_variation', 'woocommerce_single_variation', 10 );
add_action('woocommerce_after_add_to_cart_quantity', 'woocommerce_single_variation', 3);

// حذف محصولات پیوند شده یا مکمل از صفحه سبد خرید
remove_action( 'woocommerce_cart_collaterals', 'woocommerce_cross_sell_display', 10 );

remove_action( 'woocommerce_before_shop_loop', 'woocommerce_output_all_notices', 10 );
add_action( 'woocommerce_before_main_content', 'woocommerce_output_all_notices', 10 );

// اضافه کردن تب محصولات مکمل
add_filter( 'woocommerce_product_tabs', 'woocommerce_product_cross_sell_tab' );
function woocommerce_product_cross_sell_tab( $tabs ) {
    $cross_sell_id = get_post_meta( get_the_ID(), '_crosssell_ids',true);
    if ($cross_sell_id) {
        $tabs['cross_sell_tab'] = array(
            'title' 	=> __( 'محصولات مکمل', 'woocommerce' ),
            'priority' 	=> 20,
            'callback' 	=> 'woocommerce_product_cross_sell_tab_content'
        );
    }

    return $tabs;
}
function woocommerce_product_cross_sell_tab_content() {
    include "includes/cross-sell.php";
}



/********** ajax add-to-cart **********/
add_filter('woocommerce_add_to_cart_fragments', function ($fragments) {
    ob_start();
    ?>
    <span class="cart-btn-num">
        <?php echo WC()->cart->get_cart_contents_count(); ?>
    </span>
    <?php $fragments['.cart-btn-num'] = ob_get_clean();
    return $fragments;
});
add_filter('woocommerce_add_to_cart_fragments', function ($fragments) {
    ob_start();
    ?>
    <div class="cart-content">
        <?php woocommerce_mini_cart(); ?>
    </div>
    <?php $fragments['.cart-content'] = ob_get_clean();
    return $fragments;
});



/*
 ==================
 Simple Ajax Search
======================
*/
// add the ajax fetch js
add_action( 'wp_footer', 'fetch_ajax' );
function fetch_ajax() {
    ?>
    <script type="text/javascript">
        function fetch(){
            jQuery('.loader-ajax-search').addClass('show');
            jQuery.ajax({
                url: '<?php echo admin_url('admin-ajax.php'); ?>',
                type: 'post',
                data: { action: 'data_fetch', keyword: jQuery('#keyword').val() },
                success: function(data) {
                    jQuery('#datafetch').html( data );
                }
            });
        }
    </script>
    <?php
}
// the ajax function
add_action('wp_ajax_data_fetch' , 'data_fetch');
add_action('wp_ajax_nopriv_data_fetch','data_fetch');
function data_fetch(){
    $the_query = new WP_Query( array( 'posts_per_page' => 5, 's' => esc_attr( $_POST['keyword'] ), 'post_type' => array('product') ) );
    if( $the_query->have_posts() ) :?>
        <ul>
            <?php while( $the_query->have_posts() ): $the_query->the_post(); ?>
                <li>
                    <a href="<?php the_permalink(); ?>">
                        <?php
                        echo (has_post_thumbnail() ? get_the_post_thumbnail(get_the_id(), array(200, 200), array('class' => 'main-img')) : wc_placeholder_img('woocommerce_thumbnail'));
                        ?>
                        <div>
                            <h3><?php the_title();?></h3>
                            <?php global $product; echo $product->get_price_html(); ?>
                        </div>
                    </a>

                </li>
            <?php endwhile; ?>
        </ul>
        <?php wp_reset_postdata();
        else: ?>
        <div class="not-fount-search">
            <img src="<?php echo get_template_directory_uri(); ?>/img/not-found-serach.png">
            <p>متاسفانه چیزی پیدا نکردم</p>
        </div>
    <?php endif;

    die();
}



// hero-myaccount style
add_action('woocommerce_before_account_navigation','first_myaccount');
add_action('woocommerce_account_content','end_myaccount');
function first_myaccount() {
    echo "<div class='hero-myaccount'>";
}
function end_myaccount(){
    echo "</div>";
}
// hero-myaccount style

/***********track*************/

#
##
#Order Tracker For My account
add_filter('woocommerce_account_menu_items', 'tracking_account_menu', 1, 2);
add_action('init', 'add_tracking_endpoint');
add_action('woocommerce_account_tracking_endpoint', 'tracking_endpoint_content');
function tracking_account_menu($items) {
    $logout = null;
    if (isset($items['customer-logout'])) {
        $logout = $items['customer-logout'];
    }
    unset($items['customer-logout']);
    $items['tracking'] = __('رهگیری سفارشات');
    if ($logout) {
        $items['customer-logout'] = $logout;
    }

    return $items;
}

function add_tracking_endpoint() {
    add_rewrite_endpoint('tracking', EP_PAGES);
    flush_rewrite_rules();
}

function tracking_endpoint_content() {
    //echo do_shortcode('[woocommerce_order_tracking]');
    //require_once 'woocommerce/order/form-tracking.php';
    require_once 'includes/order-tracking.php';
}


// add order status post
add_action('init', 'add_post_order_status');
function add_post_order_status() {
    register_post_status('wc-to-post', array(
        'label' => 'تحویل به پست',
        'public' => true,
        'exclude_from_search' => false,
        'show_in_admin_all_list' => true,
        'show_in_admin_status_list' => true,
        'label_count' => _n_noop('تحویل به پست <span class="count">(%s)</span>', 'تحویل به پست <span class="count">(%s)</span>')
    ));
}
add_filter('wc_order_statuses', 'add_post_order_status_to_dropdown');
function add_post_order_status_to_dropdown($order_statuses) {
    $order_statuses['wc-to-post'] = 'تحویل به پست';
    return $order_statuses;
}





// combine ACF
define( 'MY_ACF_PATH', get_stylesheet_directory() . '/includes/classes/fields/' );
define( 'MY_ACF_URL', get_stylesheet_directory_uri() . '/includes/classes/fields/' );

// Include the ACF plugin.
include_once dirname(__FILE__) . '/includes/classes/fields/acf.php';

// Customize the URL setting to fix incorrect asset URLs.
add_filter('acf/settings/url', 'my_acf_settings_url');
function my_acf_settings_url( $url ) {
    return MY_ACF_URL;
}
// Hide the ACF admin menu item.
add_filter('acf/settings/show_admin', '__return_false');
// end combine ACF




// combine wishlist
add_action('after_setup_theme', 'mytheme_load_woosw');
function mytheme_load_woosw() {
    if ( class_exists( 'WooCommerce' ) ) {
        // چهارتا از دیفاین های فایل زیر را آدرس هاشونو اصلاح کردم و دوتا تابع اصلی رو هم همینجا فراخوانی کردم
        require_once 'includes/classes/wishlist/wpc-smart-wishlist.php';
        woosw_init();
        woosw_plugin_activate();
        load_textdomain( 'woo-smart-wishlist',get_template_directory() . '/includes/classes/wishlist/'. 'languages/woo-smart-wishlist-fa_IR.mo');
    }
    else null;
}

// combine variable swatches
add_action('after_setup_theme', 'include_woo_variation_swatches');
function include_woo_variation_swatches() {
    if ( class_exists( 'WooCommerce' ) ) {
        require_once 'includes/classes/swatches/woo-variation-swatches.php';
        woo_variation_swatches();
    }
    else null;
}



// ثبت تایم فروش ویژه در پنل
add_filter( 'woocommerce_product_data_tabs', 'add_special_sale_time' );
function add_special_sale_time( $product_data_tabs ) {
    $product_data_tabs['my-custom-tab'] = array(
        'label' => 'فروش ویژه',
        // تارگت به آیدی دایو محتوا اشاره میکنه
        'target' => 'my_custom_product_data',
        'class' => 'special_sale_time',
    );
    return $product_data_tabs;
}

add_action( 'woocommerce_product_data_panels', 'content_special_sale_time' );
function content_special_sale_time() {
    global $woocommerce, $post;

    ?>
    <!-- id below must match target registered in above add_my_custom_product_data_tab function -->
    <div id="my_custom_product_data" class="panel woocommerce_options_panel">
        <?php
        woocommerce_wp_checkbox( array(
            'id'            => 'status_timer_offer',
            'wrapper_class' => '',
            'label'         => 'فروش ویژه..؟',
            'description'   => 'فعال',
            'default'  		=> '0',
            'desc_tip'    	=> false,
        ) );
        $start_date = get_post_meta($post->ID,'event_start_date',true);
        $end_date = get_post_meta($post->ID,'event_end_date',true);
        ?>
        <p class="show_if_event form-field event_start_date_field">
            <label for="datepicker">تاریخ شروع</label>
            <input class="example1" type="date" id="datepicker" value="<?php echo $start_date; ?>" name="event_start_date">
        </p>

        <p class="show_if_event form-field event_start_date_field">
            <label for="datepicker2">تاریخ پایان</label>
            <input class="example1" type="date" id="datepicker2" value="<?php echo $end_date; ?>" name="event_end_date">
        </p>
        <script type="text/javascript">
            //jQuery(".example1").persianDatepicker();
        </script>

    </div>
    <?php
}

// Save quantity setting fields values
add_action( 'save_post_product', 'save_custom_field_product_options_pricing' );
function save_custom_field_product_options_pricing($post_id) {
    $start_date = '';
    $end_date = '';
    //$status_timer_offer = '';
    if (isset($_POST['event_start_date'])) {
        $start_date = $_POST['event_start_date'];
    }
    if (isset($_POST['event_end_date'])) {
        $end_date = $_POST['event_end_date'];
    }
    if (isset($_POST['status_timer_offer'])) {
        $status_timer_offer = $_POST['status_timer_offer'];
    }
    update_post_meta($post_id,'event_start_date', $start_date );
    update_post_meta($post_id,'event_end_date', $end_date );
    update_post_meta($post_id,'status_timer_offer', $status_timer_offer );
}

// Add CSS - icon
add_action( 'admin_head', 'action_admin_head' );
function action_admin_head() {
    echo '<style>
        
        #woocommerce-product-data ul.wc-tabs li.special_sale_time a:before {
        content: "\f508";
        }
    </style>';
}






require_once 'includes/breadcrumb.php';
require_once 'includes/post-type-insta.php';
require_once 'includes/option-panel/redux-core/framework.php';
require_once 'includes/option-panel/sample/sample-config.php';
require_once 'includes/custom-style.php';
require_once 'elementor/elementor.php';
require_once 'includes/acf-fields.php';
require_once 'includes/review-fields.php';
require_once 'includes/class-tgm-plugin-activation.php';
require_once 'includes/connecting-plugins.php';
require_once 'myfunctions.php';

