<?php

// -> START Basic Fields
Redux::set_section(
    $opt_name,
    array(
        'title'            => 'تنظیمات عمومی',
        'id'               => 'public_options',
        //'desc'             => esc_html__( 'These are really basic fields!', 'your-textdomain-here' ),
        'customizer_width' => '400px',
        'icon'             => 'el el-home',
    )
);
Redux::set_section(
    $opt_name,
    array(
        'title'            => 'همگانی',
        'id'               => 'general_options',
        'subsection'       => true,
        'customizer_width' => '450px',
        //'desc'             => esc_html__( 'For full documentation on this field, visit: ', 'your-textdomain-here' ) . '<a href="https://devs.redux.io/core-fields/checkbox.html" target="_blank">https://devs.redux.io/core-fields/checkbox.html</a>',
        'fields'           => array(
            array(
                'id'        => 'width_logo_option',
                'type'      => 'slider',
                'title'     => 'بیشترین پهنای تصویر لوگو (px)',
                'desc'      => 'بیشترین عرض برای تصویر لوگو در سربرگ را تنظیم کنید. به پیکسل',
                "default"   => 130,
                "min"       => 50,
                "step"      => 1,
                "max"       => 500,
                'display_value' => 'text'
            ),
            array(
                'id'       => 'favicon_option',
                'type'     => 'media',
                'url'      => true,
                'title'    => 'تصویر فاوآیکون',
                'subtitle' => 'آپلود تصویر:png, jpg or gif file',
                'default'  => array(
                    'url'=>get_template_directory_uri().'/img/fav.png'
                ),
            ),
            array(
                'id'        => 'container_option',
                'type'      => 'slider',
                'title'     => 'عرض محدوده محتوا - کانتینر (px)',
                'subtitle'      => 'پیشفرض 1366 است',
                'desc'      => 'بهترین سایز 1440 پیکسل میباشد',
                "default"   => 1440,
                "min"       => 1000,
                "step"      => 1,
                "max"       => 1600,
                'display_value' => 'text'
            ),
            array(
                'id'        => 'maincolor_option',
                'type'     => 'color',
                'title'    => 'رنگ اصلی قالب' ,
                'subtitle' => 'رنگ اصلی قالب را انتخاب کنید',
                'default'  => '#F93423',
                'validate' => 'color',
                'transparent' => false,
            ),
            array(
                'id'        => 'secondcolor_option',
                'type'     => 'color',
                'title'    => 'رنگ مکمل قالب ' ,
                'default'  => '#1BD2A3',
                'validate' => 'color',
                'transparent' => false,
            ),
            array(
                'id'        => 'bgbody_option',
                'type'     => 'background',
                'title'    => 'پس زمینه سایت',
                'output'    => array('body'),
                'important'        => true,
                'subtitle' => 'برای بک گراند سایت میتوانید یک رنگ یا تصویر انتخاب کنید - پیشفرض سفید است',
                'default'  => array(
                'background-color' => '#fff',
                )
            ),
        ),
    )
);

// -> START header Fields
Redux::set_section(
    $opt_name,
    array(
        'title'            => 'سربرگ',
        'id'               => 'header_options',
        //'desc'             => esc_html__( 'These are really basic fields!', 'your-textdomain-here' ),
        'customizer_width' => '400px',
        'icon'             => 'el el-cog ',
    )
);
// top-bar-header
Redux::set_section(
    $opt_name,
    array(
        'title'            => 'نوار بالا',
        'id'               => 'top_header_options',
        'subsection'       => true,
        'customizer_width' => '450px',
        //'desc'             => esc_html__( 'For full documentation on this field, visit: ', 'your-textdomain-here' ) . '<a href="https://devs.redux.io/core-fields/checkbox.html" target="_blank">https://devs.redux.io/core-fields/checkbox.html</a>',
        'fields'           => array(
            array(
                'id'       => 'active_topmenu',
                'type'     => 'switch',
                'title'    => 'نوار بالا',
                'subtitle' => 'نمایش/عدم نمایش نوار بالا',
                'default'  => true,
                'on'       => 'فعال',
                'off'      => 'غیرفعال',
            ),
            array(
                'id'        => 'bg_topmenu',
                'type'     => 'background',
                'title'    => 'رنگ زمینه نوار بالا' ,
                'transparent' => false,
                'required' => array( 'active_topmenu', '=', true ),
                'output'    => array('.hero-top-header'),
                'important'        => true,
                'default'  => array(
                    'background-color' => '#fff',
                ),
            ),
            array(
                'id'        => 'color_topmenu',
                'type'     => 'color',
                'title'    => 'رنگ متن  نوار بالا' ,
                'default'  => '#7E7E7E',
                'validate' => 'color',
                'transparent' => false,
                'output'    => array('.hero-top-header'),
                'required' => array( 'active_topmenu', '=', true ),
            ),


            array(
                'id'        => 'custom_text_topmenu_right',
                'type'             => 'editor',
                'title'    => 'متن دلخواه سمت راست' ,
                'default'          => ' محصولات جدید: لباس های مجلسی شارژ شد یک سر به بخش لباس های مجلسی بزنید ',
                'args'   => array(
                'teeny'            => true,
                'textarea_rows'    => 2
                ),
                'required' => array( 'active_topmenu', '=', true ),
            ),
            array(
                'id'        => 'custom_text_topmenu_left',
                'type'             => 'editor',
                'title'    => 'متن دلخواه سمت چپ' ,
                'default'          => 'اگر سوال یا مشکلی دارید با پشتیبانی تماس بگیرید',
                'args'   => array(
                    'teeny'            => true,
                    'textarea_rows'    => 2
                ),
                'required' => array( 'active_topmenu', '=', true ),
            ),
            array(
                'id'        => 'contact_topmenu_left',
                'type'             => 'text',
                'title'    => 'شماره/اطلاعات تماس',
                'default'          => '۷۵۳۶۲۹۸-۰۲۱',
                'required' => array( 'active_topmenu', '=', true ),
            ),
            array(
                'id'        => 'icon_topmenu_left',
                'type'             => 'icon_select',
                'title'    => 'ایکون  تماس',
                'default'          => 'fa-solid fa-headset',
                'enqueue'          => true,
                'enqueue_frontend' => true,
                'required' => array( 'active_topmenu', '=', true ),

            ),
            array(
                'id'       => 'active_topmenu_mobile',
                'type'     => 'switch',
                'title'    => 'نوار بالا در موبایل',
                'subtitle' => 'نمایش/عدم نمایش نوار بالا در موبایل',
                'default'  => false,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
                'required' => array( 'active_topmenu', '=', true ),
            ),
        ),
    )
);
// end top-header

// top-bar-header
Redux::set_section(
    $opt_name,
    array(
        'title'            => 'تنظیمات سربرگ',
        'id'               => 'main_header_options',
        'subsection'       => true,
        'customizer_width' => '450px',
        //'desc'             => esc_html__( 'For full documentation on this field, visit: ', 'your-textdomain-here' ) . '<a href="https://devs.redux.io/core-fields/checkbox.html" target="_blank">https://devs.redux.io/core-fields/checkbox.html</a>',
        'fields'           => array(
            array(
                'id'       => 'select_header',
                'type'     => 'select',
                'title'    => 'انتخاب سربرگ',
                'subtitle' => 'انتخاب کنید کدام نوع سربرگ می خواهید نمایش داده شود',

                'options'  => array(
                    'one_header' => 'سربرگ اول',
                    'two_header' => 'سربرگ دوم',
                ),
                    'default'  => 'one_header',
            ),
            array(
                'id'       => 'logo_option',
                'type'     => 'media',
                'url'      => true,
                'title'    => 'تصویر لوگو',
                'subtitle' => 'آپلود تصویر:png, jpg or gif file',
                'default'  => array(
                    'url'=>get_template_directory_uri().'/img/logo.png'
                ),
            ),
			array(
                'id'       => 'logo_mobile_option',
                'type'     => 'media',
                'url'      => true,
                'title'    => 'لوگو موبایل',
                'subtitle' => 'آپلود تصویر:png, jpg or gif file',
                'default'  => array(
                    'url'=>get_template_directory_uri().'/img/logo.png'
                ),
            ),
            array(
                'id'       => 'active_cart',
                'type'     => 'switch',
                'title'    => 'نمایش دکمه سبدخرید',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
			array(
                'id'       => 'active_megamenu',
                'type'     => 'switch',
                'title'    => 'نمایش مگامنو',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
			array(
                'id'        => 'title_megamenu',
                'type'             => 'text',
                'title'    => 'عنوان مگامنو',
                'default'    => 'دسته بندی محصول',
                'required' => array( 'active_megamenu', '=', "true" ),
            ),
            array(
                'id'       => 'active_wishlist',
                'type'     => 'switch',
                'title'    => 'نمایش دکمه علاقه مندی ها',
                'subtitle'    => 'درصورتی که افزونه علاقه مندها را فعال کرده باشید میتوانید این دکمه را نمایش دهید',
                'description'    => 'اگر این دکمه را غیرفعال کنید میتوانید دکمه دلخواه داشته باشید',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'        => 'title_custom_btn',
                'type'             => 'text',
                'title'    => 'عنوان دکمه دلخواه',
                'required' => array( 'active_wishlist', '=', "false" ),
            ),
            array(
                'id'        => 'link_custom_btn',
                'type'             => 'text',
                'title'    => 'لینک دکمه دلخواه',
                'required' => array( 'active_wishlist', '=', "false" ),
            ),
            array(
                'id'        => 'icon_custom_btn',
                'type'             => 'icon_select',
                'title'    => 'آیکون دکمه دلخواه',
                'enqueue'          => true,
                'enqueue_frontend' => true,
                'required' => array( 'active_wishlist', '=', "false" ),
            ),
            array(
                'id'       => 'active_search',
                'type'     => 'switch',
                'title'    => 'نمایش دکمه جستجو',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
                'required' => array( 'select_header', '=', "two_header" ),
            ),
            array(
                'id'       => 'active_account',
                'type'     => 'switch',
                'title'    => 'نمایش حساب کاربری',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
                'required' => array( 'select_header', '=', "two_header" ),
            ),
            array(
                'id'        => 'background_header_two',
                'type'     => 'background',
                'title'    => 'رنگ پس زمینه هدر' ,
                'subtitle' => 'پیشفرض سفید است',
                'background-repeat'  => false,
                'background-attachment'  => false,
                'background-position'  => false,
                'background-image'  => false,
                'background-size'  => false,
                'transparent' => false,
                'output'    => array('.header-two'),
                'default'  => array(
                    'background-color' => '#fff',
                ),
                'required' => array( 'select_header', '=', "two_header" ),
            ),
            array(
                'id'        => 'color_header_two',
                'type'     => 'color',
                'title'    => 'رنگ متن های هدر' ,
                'subtitle' => 'پیشفرض تیره است',
                'default'  => '#303030',
                'validate' => 'color',
                'transparent' => false,
                'output'    => array('.megamenu-box span.title-megamenu','.megamenu-box','.menu-header > ul > li > a','.m-h-left i','#hamberger','.account-btn label'),
                'required' => array( 'select_header', '=', "two_header" ),
            ),
        ),
    )
);
// end top-header

// typography
Redux::set_section(
    $opt_name,
    array(
        'title'            => 'تایپوگرافی',
        'id'               => 'typography_options',
        //'desc'             => esc_html__( 'These are really basic fields!', 'your-textdomain-here' ),
        'customizer_width' => '400px',
        'icon'             => 'el el-font',
        'fields'           => array(
            array(
                'id'       => 'font_body',
                'type'     => 'typography',
                'title'          => 'فونت بدنه سایت',
                'subtitle'       => 'ترجیحا تغییر ندید چون الان در بهترین حالته',
                'output'      => array('body'),
                'units'       =>'px',
                'subsets'      => false,
                'default'     => array(
                    'color'       => '#303030',
                    'font-style'  => '400',
                    'font-family' => 'yekanbakh',
                    'google'      => false,
                    'font-backup' => "'MS Sans Serif', Geneva, sans-serif",
                    'font-size'   => '14px',
                    'line-height' => 'normal'
                ),
            ),
        ),
    )
);
// end typography

// blog
Redux::set_section(
    $opt_name,
    array(
        'title'            => 'نوشته ها',
        'id'               => 'blog_options',
        //'desc'             => esc_html__( 'These are really basic fields!', 'your-textdomain-here' ),
        'customizer_width' => '400px',
        'icon'             => 'el el-pencil',
        'fields'           => array(
            array(
                'id'       => 'sidebar_position_single',
                'type'     => 'image_select',
                'title'     => esc_html__( 'موقعیت سایدبار صفحه نوشته ها', 'studiare' ),
                'subtitle'  => esc_html__( 'میتوانید سایدبار را سمت چپ/راست قرار دهید یا مخفی کنید', 'studiare' ),
                'default'   => 'left',
                'options'   => array(
                    'none'      => array(
                        'alt'   => esc_html__( 'No Sidebar', 'studiare' ),
                        'img'   => ReduxFramework::$_url.'assets/img/1col.png'
                    ),
                    'left'      => array(
                        'alt'   => esc_html__( 'Sidebar Left', 'studiare' ),
                        'img'   => ReduxFramework::$_url.'assets/img/2cl.png'
                    ),
                    'right'      => array(
                        'alt'   => esc_html__( 'Sidebar Right', 'studiare' ),
                        'img'  => ReduxFramework::$_url.'assets/img/2cr.png'
                    ),

                )
            ),
            array(
                'id'       => 'active_related_post',
                'type'     => 'switch',
                'title'    => 'نمایش مطالب مرتبط',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
        ),
    )
);
// end blog

// instagram
Redux::set_section(
    $opt_name,
    array(
        'title'            => 'اینستاگرام',
        'id'               => 'instagram_options',
        //'desc'             => esc_html__( 'These are really basic fields!', 'your-textdomain-here' ),
        'customizer_width' => '400px',
        'icon'             => 'el el-instagram',
        'fields'           => array(

            array(
                'id'        => 'back_single_instagram',
                'type'     => 'background',
                'title'    => 'پس زمینه صفحه داخلی اینستاگرام',
                'output'    => array('.insta-page'),
                'important'        => true,
                'subtitle' => 'برای بک گراند صفحه داخلی مطالب اینستاگرام یک رنگ یا تصویر انتخاب کنید - پیشفرض تیره است',
                'default'  => array(
                    'background-color' => '#333',
                )
            ),
            array(
                'id'        => 'color_single_instagram',
                'type'     => 'color',
                'title'    => 'رنگ متن کپشن' ,
                'subtitle' => 'پیشفرض سفید است',
                'default'  => '#fff',
                'validate' => 'color',
                'transparent' => false,
                'output'    => array('.sec-insta-page .left'),
            ),
            array(
                'id'       => 'active_related_post_instagram',
                'type'     => 'switch',
                'title'    => 'نمایش پست های مرتبط',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'        => 'back_related_single_instagram',
                'type'     => 'background',
                'title'    => 'رنگ پس زمینه باکس پست های مرتبط' ,
                'subtitle' => 'پیشفرض تیره است',
                'background-repeat'  => false,
                'background-attachment'  => false,
                'background-position'  => false,
                'background-image'  => false,
                'background-size'  => false,
                'transparent' => false,
                'output'    => array('.box-insta-single'),
                'default'  => array(
                    'background-color' => '#333',
                )
            ),
            array(
                'id'       => 'related_instagram_img',
                'type'     => 'media',
                'url'      => true,
                'title'    => 'تصویر مطالب مرتبط اینستاگرام',
                'subtitle' => 'آپلود تصویر:png, jpg or gif file',
                'default'  => array(
                    'url'=>get_template_directory_uri().'/img/insta.png'
                ),
            ),
            array(
                'id'        => 'related_instagram_page_link',
                'type'             => 'text',
                'title'    => 'لینک صفحه اینستاگرام',
                'default'          => '#',
            ),

        ),
    )
);
// end instagram

// single-product
Redux::set_section(
    $opt_name,
    array(
        'title'            => 'صفحه محصول',
        'id'               => 'single_product_options',
        //'desc'             => esc_html__( 'These are really basic fields!', 'your-textdomain-here' ),
        'customizer_width' => '400px',
        'icon'             => 'el el-website',
        'fields'           => array(
            array(
                'id'       => 'section_product_options',
                'type'     => 'section',
                'subtitle'    => 'تنظیمات زیر مروبط به ابتدای صفحه هستند',
                'indent' => true
            ),
            array(
                'id'       => 'active_brand',
                'type'     => 'switch',
                'title'    => 'نمایش برند محصول',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'       => 'active_category',
                'type'     => 'switch',
                'title'    => 'نمایش دسته بندی محصول',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'       => 'active_stock',
                'type'     => 'switch',
                'title'    => 'نمایش موجود در انبار',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'       => 'active_excerpt_content',
                'type'     => 'switch',
                'title'    => 'نمایش توضیحات کوتاه محصول',
                'default'  => false,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'       => 'active_attr',
                'type'     => 'switch',
                'title'    => 'نمایش ویژگی های محصول',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'type' => 'divide',
            ),
            array(
                'id'       => 'active_related_product',
                'type'     => 'switch',
                'title'    => 'نمایش محصولات مرتبط',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'type' => 'divide',
            ),
        ),
    )
);
// end single-product

// reviews product
Redux::set_section(
    $opt_name,
    array(
        'title'            => 'نظرات محصول',
        'id'               => 'reviews',
        'subsection'       => true,
        'customizer_width' => '400px',
        'fields'           => array(

            array(
                'id'       => 'active_slider_reviews',
                'type'     => 'switch',
                'title'    => 'نمایش آیتم های اسلایدر در نظرات',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),

            array(
                'id'          => 'review_but',
                'type'        => 'text',
                'title'    => 'عنوان آیتم اول',
                'default'    => 'زیبایی',
                'required' => array( 'active_slider_reviews', '=', true ),
            ),
            array(
                'id'          => 'review_power',
                'type'        => 'text',
                'title'    => 'عنوان آیتم دوم',
                'default'    => 'قدرت',
                'required' => array( 'active_slider_reviews', '=', true ),
            ),
            array(
                'id'          => 'review_quality',
                'type'        => 'text',
                'title'    => 'عنوان آیتم سوم',
                'default'    => 'کیفیت ساخت',
                'required' => array( 'active_slider_reviews', '=', true ),
            ),
            array(
                'id'          => 'review_property',
                'type'        => 'text',
                'title'    => 'عنوان آیتم چهارم',
                'default'    => 'امکانات',
                'required' => array( 'active_slider_reviews', '=', true ),
            ),
            array(
                'id'          => 'review_buy',
                'type'        => 'text',
                'title'    => 'عنوان آیتم پنجم',
                'default'    => 'ارزش خرید',
                'required' => array( 'active_slider_reviews', '=', true ),
            ),

        ),
    )
);
// reviews product

// contact us
Redux::set_section(
    $opt_name,
    array(
        'title'            => 'دکمه ارتباط با ما',
        'id'               => 'contact_us',
        'customizer_width' => '400px',
        'icon'             => 'el el-headphones',
        'fields'           => array(
            array(
                'type'     => 'raw',
                'title'    => 'دکمه ارتباط با ما (شناور پایین سمت راست)',
            ),
            array(
                'id'       => 'active_contact_us',
                'type'     => 'switch',
                'title'    => 'نمایش دکمه در دسکتاپ',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'       => 'active_contact_us_mobile',
                'type'     => 'switch',
                'title'    => 'نمایش دکمه در موبایل',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'        => 'background_contact_us',
                'type'     => 'background',
                'title'    => 'رنگ دکمه' ,
                'subtitle' => 'پیشفرض قرمز است',
                'background-repeat'  => false,
                'background-attachment'  => false,
                'background-position'  => false,
                'background-image'  => false,
                'background-size'  => false,
                'transparent' => false,
                'output'    => array('.floating-contact .floating-button'),
                'default'  => array(
                    'background-color' => '#f93423',
                ),
            ),
            array(
                'type'     => 'raw',
                'title'    => 'هرکدام از موارد زیر را پر کنید نمایش داده میشود',
            ),
            array(
                'id'          => 'contact_tell',
                'type'        => 'text',
                'title'    => 'شماره تماس',
            ),
            array(
                'id'          => 'contact_telegram',
                'type'        => 'text',
                'title'    => 'آیدی تلگرام',
            ),
            array(
                'id'          => 'contact_instagram',
                'type'        => 'text',
                'title'    => 'آیدی اینستاگرام',
            ),
            array(
                'id'          => 'contact_whatsup',
                'type'        => 'text',
                'title'    => 'شماره واتساپ',
                'subtitle'    => 'شماره را در فرمت بین المللی بنویسید ( مثال : 989101234567',
            ),
            array(
                'id'          => 'contact_bale',
                'type'        => 'text',
                'title'    => 'آدرس حساب پیام رسان بله',
            ),
            array(
                'id'          => 'contact_rubika',
                'type'        => 'text',
                'title'    => 'آدرس حساب پیام رسان روبیکا',
            ),
            array(
                'id'          => 'contact_soroush',
                'type'        => 'text',
                'title'    => 'آدرس حساب پیام رسان سروش',
            ),
            array(
                'id'          => 'contact_email',
                'type'        => 'text',
                'title'    => 'ادرس ایمیل',
            ),

        ),
    )
);
// contact us



// footer
Redux::set_section(
    $opt_name,
    array(
        'title'            => 'فوتر',
        'id'               => 'footer_options',
        'customizer_width' => '400px',
        'icon'             => 'el el-photo',
        'fields'           => array(
            array(
                'id'       => 'active_emailbox',
                'type'     => 'switch',
                'title'    => 'نمایش باکس خبرنامه',
                'default'  => false,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'          => 'shortcode_emailbox',
                'type'        => 'text',
                'title'    => 'شورت کد خبرنامه',
                'required' => array( 'active_emailbox', '=', true ),
            ),
            array(
                'id'          => 'desc_emailbox',
                'type'             => 'editor',
                'title'         => 'توضیحات' ,
                'default'          => 'با عضویت در خبرنامه دیجی شاپ از تخفیف ها، خبرهای تازه باخبر شوید.',
                'args'   => array(
                    'teeny'            => true,
                    'textarea_rows'    => 1
                ),
                'required' => array( 'active_emailbox', '=', true ),
            ),
            array(
                'id'        => 'bg_emailbox',
                'type'     => 'background',
                'title'    => 'رنگ زمینه باکس خبرنامه' ,
                'default'  => '#1bd2a3',
                'validate' => 'color',
                'output'    => array('.hero-email'),
                'transparent' => false,
                'required' => array( 'active_emailbox', '=', true ),
            ),
            array(
                'id'        => 'color_emailbox',
                'type'     => 'color',
                'title'    => 'رنگ متن توضیحات خبرنامه' ,
                'default'  => '#fff',
                'validate' => 'color',
                'output'    => array('.box-email .email-text'),
                'transparent' => false,
                'required' => array( 'active_emailbox', '=', true ),
            ),
            array(
                'id'        => 'text_footer_line',
                'type'             => 'editor',
                'title'    => 'محتوای دلخواه (بالای متن کپی رایت نمایش داده میشود)' ,
                'default'          => 'پاسخگویی تلفنی از شنبه تا پنجشنبه ساعت ۹ الی ۲۰     |     شماره تماس : 09151234567     |     websoft3.ir@gmail.com',
                'args'   => array(
                    'teeny'            => true,
                    'textarea_rows'    => 1
                ),
            ),
            array(
                'id'        => 'text_copy_right',
                'type'             => 'editor',
                'title'    => 'متن کپی رایت' ,
                'default'          => 'کلیه حقوق این وب سایت متعلق به فروشگاه پیشرو می باشد',
                'args'   => array(
                    'teeny'            => true,
                    'textarea_rows'    => 1
                ),
            ),


            array(
                'title'    => 'لینک صفحات اجتماعی',
                'subtitle'    => 'در فوتر نمایش داده میشود، در صورت خالی بودن نمایش داده نمیشود',
                'type' => 'divide',
            ),
            array(
                'id'          => 'social_link_insta',
                'type'        => 'text',
                'title'    => 'آیدی اینستاگرام',
                'placeholder'    => 'websoft3_com',
            ),
            array(
                'id'          => 'social_link_twitter',
                'type'        => 'text',
                'title'    => 'لینک صفحه توییتر',
                'default'    => '#',
            ),
            array(
                'id'          => 'social_link_youtube',
                'type'        => 'text',
                'title'    => 'لینک صفحه یوتیوب',
                'default'    => '#',
            ),
            array(
                'id'          => 'social_link_aparat',
                'type'        => 'text',
                'title'    => 'لینک صفحه آپارات',
                'default'    => '#',
            ),
        ),
    )
);
// end footer

// application
Redux::set_section(
    $opt_name,
    array(
        'title'            => 'اپلیکیشن',
        'id'               => 'application',
        'subsection'       => true,
        'customizer_width' => '400px',
        'fields'           => array(

            array(
                'id'       => 'active_application',
                'type'     => 'switch',
                'title'    => 'نمایش دانلود اپلیکیشن در فوتر',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),

            array(
                'id'        => 'background_application',
                'type'     => 'background',
                'title'    => 'رنگ پس زمینه' ,
                'subtitle' => 'پیشفرض قرمز است',
                'background-repeat'  => false,
                'background-attachment'  => false,
                'background-position'  => false,
                'background-image'  => false,
                'background-size'  => false,
                'transparent' => false,
                'output'    => array('.application'),
                'default'  => array(
                    'background-color' => '#f3f4f6',
                ),
                'required' => array( 'active_application', '=', true ),
            ),
            array(
                'id'        => 'color_application_title',
                'type'     => 'color',
                'title'    => 'رنگ عنوان "دانلود اپلیکیشن"' ,
                'subtitle'    => 'پیشفرض تیره است' ,
                'default'  => '#303030',
                'validate' => 'color',
                'output'    => array('.application .right'),
                'transparent' => false,
                'required' => array( 'active_application', '=', true ),
            ),
            array(
                'id'       => 'icon_application',
                'type'     => 'media',
                'url'      => true,
                'title'    => 'آیکون اپلیکیشن',
                'subtitle' => 'آپلود تصویر:png, jpg or gif file',
                'default'  => array(
                    'url'=>get_template_directory_uri().'/img/app/icon-application.png'
                ),
                'required' => array( 'active_application', '=', true ),
            ),
            array(
                'type'     => 'raw',
                'title'    => 'هرکدام از موارد زیر را پر کنید نمایش داده میشود',
                'required' => array( 'active_application', '=', true ),
            ),
            array(
                'id'          => 'application_play',
                'type'        => 'text',
                'title'    => 'لینک دانلود از گوگل پلی',
                'default'    => '#',
                'required' => array( 'active_application', '=', true ),
            ),
            array(
                'id'          => 'application_bazar',
                'type'        => 'text',
                'title'    => 'لینک دانلود ار کافه بازار',
                'required' => array( 'active_application', '=', true ),
            ),
            array(
                'id'          => 'application_myket',
                'type'        => 'text',
                'title'    => 'لینک دانلود از مایکت',
                'required' => array( 'active_application', '=', true ),
            ),
            array(
                'id'          => 'application_sibapp',
                'type'        => 'text',
                'title'    => 'لینک دانلود از سیب اپ',
                'required' => array( 'active_application', '=', true ),
            ),

        ),
    )
);
// application

// my-account
Redux::set_section(
    $opt_name,
    array(
        'title'            => 'حساب کاربری',
        'id'               => 'myaccount_options',
        'customizer_width' => '400px',
        'icon'             => 'el el-user',
        'fields'           => array(

            array(
                'id'       => 'active_register_time',
                'type'     => 'switch',
                'title'    => 'نمایش تاریخ عضویت',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'       => 'active_total_order',
                'type'     => 'switch',
                'title'    => 'نمایش مجموع سفارشات',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'       => 'active_total_comments',
                'type'     => 'switch',
                'title'    => 'نمایش مجموع دیدگاه ها',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'       => 'active_total_payment',
                'type'     => 'switch',
                'title'    => 'نمایش مجموع پرداخت ها',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'       => 'active_order_pending',
                'type'     => 'switch',
                'title'    => 'نمایش سفارشات در انتظار',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'       => 'active_order_process',
                'type'     => 'switch',
                'title'    => 'نمایش سفارشات درحال انجام',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'       => 'active_order_complete',
                'type'     => 'switch',
                'title'    => 'نمایش سفارشات تحویل شده',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'       => 'active_order_return',
                'type'     => 'switch',
                'title'    => 'نمایش سفارشات لغو شده',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'       => 'active_notif_myaccount',
                'type'     => 'switch',
                'title'    => 'نمایش اطلاعیه',
                'subtitle'    => 'نمایش اطلاعیه در صفحه حساب کاربری',
                'default'  => true,
                'on'       => 'نمایش',
                'off'      => 'مخفی',
            ),
            array(
                'id'        => 'title_notif_myaccount',
                'type'             => 'text',
                'title'    => 'عنوان اطلاعیه' ,
                'placeholder'    => 'تخفیف خرید اول' ,
                'required' => array( 'active_notif_myaccount', '=', true ),
            ),
            array(
                'id'        => 'content_notif_myaccount',
                'type'             => 'editor',
                'title'    => 'متن اطلاعیه' ,
                'args'   => array(
                    'teeny'            => true,
                    'textarea_rows'    => 2
                ),
                'required' => array( 'active_notif_myaccount', '=', true ),
            ),
        ),
    )
);
// login
Redux::set_section(
    $opt_name,
    array(
        'title'            => 'ثبت نام / ورود',
        'id'               => 'register_login_options',
        'subsection'       => true,
        'customizer_width' => '400px',
        'fields'           => array(

            array(
                'id'        => 'login_back',
                'type'     => 'background',
                'title'    => 'پس زمینه صفحه لاگین' ,
                'output'    => array('.back-register-login'),
            ),
            array(
                'id'       => 'login_logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => 'لوگو فرم لاگین',
                'subtitle' => 'آپلود تصویر:png, jpg or gif file',
                'default'  => array(
                    'url'=>get_template_directory_uri().'/img/logo.png'
                ),
            ),



        ),
    )
);
// login
