<?php

if (isset($_POST['track'])) {
    $order_id = $_POST['orderid'];

    $order = wc_get_order( $order_id );
    $status = $order->get_status();
    $order_data = $order->get_data();


    if ($status=='pending') {
        ?>
        <section class="checkout-process">
            <ol class="steps">
                <li class="step is-active" data-step="۱">
                    <span>در انتظار پرداخت</span>
                </li>
                <li class="step" data-step="۲">
                    <span>در حال آماده سازی</span>
                </li>
                <li class="step" data-step="۳">
                    <span>تحویل به پست</span>
                </li>
                <li class="step" data-step="۴">
                    <span>تحویل به مشتری</span>
                </li>
            </ol>
        </section>

        <div class="note-cutomer-tracking">
            <?php $notes = $order->get_customer_order_notes();
            //var_dump($notes);
            foreach ($notes as $note) {
                //var_dump($item);
                echo "<p>" . $note->comment_content . "</p>";
            }
            ?>
            <p>لطفا مبلغ سفارش خود را پرداخت کنید</p>
        </div>
        <div class="action-order-tracking">
            <?php
            $actions = wc_get_account_orders_actions( $order );
            if ( ! empty( $actions ) ) {
                foreach ( $actions as $key => $action ) { // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited
                    echo '<a href="' . esc_url( $action['url'] ) . '" class="woocommerce-button' .' button ' . sanitize_html_class( $key ) . '">' . esc_html( $action['name'] ) . '</a>';
                }
            }
            ?>
        </div>


        <div class="order-track-detail">
            <div>
                <span>محصول</span>
                <span>
                <?php
                $i = 0;
                foreach ($order->get_items() as $item_key => $item ):
                    $i++;
                    ?>
                    <a href="<?php the_permalink($item->get_product_id());?>"> <?php echo $i. '. '; echo esc_html(wp_trim_words($item->get_name(), apply_filters('pishro_product_title_trim_words', 8), NULL));?>
                    <?php the_post_thumbnail(); ?>
                    </a>
                <?php endforeach; ?>
                </span>
            </div>
            <div>
                <span>تاریخ ثبت سفارش</span>
                <span><?php echo wc_format_datetime( $order->get_date_created() ); ?></span>
            </div>
            <div>
                <span>نام خریدار</span>

                <?php if(!empty($order_data['shipping']['first_name'])) : ?>
                    <span><?php echo esc_html($order_data['shipping']['first_name']); ?> <?php echo esc_html($order_data['shipping']['last_name']); ?></span>
                <?php else : ?>
                    <span><?php echo esc_html($order_data['billing']['first_name']); ?> <?php echo esc_html($order_data['billing']['last_name']); ?></span>
                <?php endif; ?>

            </div>
            <div>
                <span>روش ارسال</span>
                <span><?php echo $order->get_shipping_method(); ?></span>
            </div>
            <div>
                <span>روش پرداخت</span>
                <span><?php echo $order->get_payment_method_title(); ?></span>
            </div>
            <div>
                <span>مجموع مبلغ سفارش</span>
                <span><?php echo $order->get_total(); ?></span>
            </div>

        </div>
    <?php }


    elseif ($status=='failed') {
        ?>
        <section class="checkout-process">
            <ol class="steps">
                <li class="step is-active" data-step="۱">
                    <span>پرداخت ناموفق!</span>
                </li>
                <li class="step" data-step="۲">
                    <span>در حال آماده سازی</span>
                </li>
                <li class="step" data-step="۳">
                    <span>تحویل به پست</span>
                </li>
                <li class="step" data-step="۴">
                    <span>تحویل به مشتری</span>
                </li>
            </ol>
        </section>

        <div class="note-cutomer-tracking">
            <?php $notes = $order->get_customer_order_notes();
            //var_dump($notes);
            foreach ($notes as $note) {
                //var_dump($item);
                echo "<p>" . $note->comment_content . "</p>";
            }
            ?>
            <p>پرداخت ناموفق بوده لطفا سفارش خود را پرداخت کنید</p>

        </div>
        <div class="action-order-tracking">
            <?php
            $actions = wc_get_account_orders_actions( $order );
            if ( ! empty( $actions ) ) {
                foreach ( $actions as $key => $action ) { // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited
                    echo '<a href="' . esc_url( $action['url'] ) . '" class="woocommerce-button' .' button ' . sanitize_html_class( $key ) . '">' . esc_html( $action['name'] ) . '</a>';
                }
            }
            ?>
        </div>

        <div class="order-track-detail">
            <div>
                <span>محصول</span>
                <span>
                <?php
                $i = 0;
                foreach ($order->get_items() as $item_key => $item ):
                    $i++;
                    ?>
                    <a href="<?php the_permalink($item->get_product_id());?>"> <?php echo $i. '. '; echo esc_html(wp_trim_words($item->get_name(), apply_filters('pishro_product_title_trim_words', 8), NULL));?></a>
                <?php endforeach; ?>
                </span>
            </div>
            <div>
                <span>تاریخ ثبت سفارش</span>
                <span><?php echo wc_format_datetime( $order->get_date_created() ); ?></span>
            </div>
            <div>
                <span>نام خریدار</span>

                <?php if(!empty($order_data['shipping']['first_name'])) : ?>
                    <span><?php echo esc_html($order_data['shipping']['first_name']); ?> <?php echo esc_html($order_data['shipping']['last_name']); ?></span>
                <?php else : ?>
                    <span><?php echo esc_html($order_data['billing']['first_name']); ?> <?php echo esc_html($order_data['billing']['last_name']); ?></span>
                <?php endif; ?>

            </div>
            <div>
                <span>روش ارسال</span>
                <span><?php echo $order->get_shipping_method(); ?></span>
            </div>
            <div>
                <span>روش پرداخت</span>
                <span><?php echo $order->get_payment_method_title(); ?></span>
            </div>
            <div>
                <span>مجموع مبلغ سفارش</span>
                <span><?php echo $order->get_total(); ?></span>
            </div>

        </div>



    <?php }


    elseif ($status=='processing') {
        ?>
        <section class="checkout-process">
            <ol class="steps">
                <li class="step is-complete" data-step="۱">
                    <span>پرداخت شده</span>
                </li>
                <li class="step is-active" data-step="۲">
                    <span>در حال آماده سازی</span>
                </li>
                <li class="step" data-step="۳">
                    <span>تحویل به پست</span>
                </li>
                <li class="step" data-step="۴">
                    <span>تحویل به مشتری</span>
                </li>
            </ol>
        </section>

        <div class="note-cutomer-tracking">
            <?php $notes = $order->get_customer_order_notes();
            //var_dump($notes);
            foreach ($notes as $note) {
                //var_dump($item);
                echo "<p>" . $note->comment_content . "</p>";
            }
            ?>
        </div>

        <div class="order-track-detail">
            <div>
                <span>محصول</span>
                <span>
                <?php
                $i = 0;
                foreach ($order->get_items() as $item_key => $item ):
                    $i++;
                    ?>
                    <a href="<?php the_permalink($item->get_product_id());?>"> <?php echo $i. '. '; echo esc_html(wp_trim_words($item->get_name(), apply_filters('pishro_product_title_trim_words', 8), NULL));?></a>
                <?php endforeach; ?>
                </span>
            </div>
            <div>
                <span>تاریخ ثبت سفارش</span>
                <span><?php echo wc_format_datetime( $order->get_date_created() ); ?></span>
            </div>
            <div>
                <span>نام خریدار</span>

                <?php if(!empty($order_data['shipping']['first_name'])) : ?>
                    <span><?php echo esc_html($order_data['shipping']['first_name']); ?> <?php echo esc_html($order_data['shipping']['last_name']); ?></span>
                <?php else : ?>
                    <span><?php echo esc_html($order_data['billing']['first_name']); ?> <?php echo esc_html($order_data['billing']['last_name']); ?></span>
                <?php endif; ?>

            </div>
            <div>
                <span>روش ارسال</span>
                <span><?php echo $order->get_shipping_method(); ?></span>
            </div>
            <div>
                <span>روش پرداخت</span>
                <span><?php echo $order->get_payment_method_title(); ?></span>
            </div>
            <div>
                <span>مجموع مبلغ سفارش</span>
                <span><?php echo $order->get_total(); ?></span>
            </div>

        </div>



        <?php }


    elseif ($status=='to-post') {
        ?>
        <section class="checkout-process">
            <ol class="steps">
                <li class="step is-complete" data-step="۱">
                    <span>پرداخت شده</span>
                </li>
                <li class="step is-complete" data-step="۲">
                    <span>در حال آماده سازی</span>
                </li>
                <li class="step is-active" data-step="۳">
                    <span>تحویل به پست</span>
                </li>
                <li class="step" data-step="۴">
                    <span>تحویل به مشتری</span>
                </li>
            </ol>
        </section>


        <div class="note-cutomer-tracking">
            <?php $notes = $order->get_customer_order_notes();
            //var_dump($notes);
            foreach ($notes as $note) {
                //var_dump($item);
                echo "<p>" . $note->comment_content . "</p>";
            }
            ?>
        </div>

        <div class="order-track-detail">
            <div>
                <span>محصول</span>
                <span>
                <?php
                $i = 0;
                foreach ($order->get_items() as $item_key => $item ):
                    $i++;
                    ?>
                    <a href="<?php the_permalink($item->get_product_id());?>"> <?php echo $i. '. '; echo esc_html(wp_trim_words($item->get_name(), apply_filters('pishro_product_title_trim_words', 8), NULL));?></a>
                <?php endforeach; ?>
                </span>
            </div>
            <div>
                <span>تاریخ ثبت سفارش</span>
                <span><?php echo wc_format_datetime( $order->get_date_created() ); ?></span>
            </div>
            <div>
                <span>نام خریدار</span>

                <?php if(!empty($order_data['shipping']['first_name'])) : ?>
                <span><?php echo esc_html($order_data['shipping']['first_name']); ?> <?php echo esc_html($order_data['shipping']['last_name']); ?></span>
                <?php else : ?>
                <span><?php echo esc_html($order_data['billing']['first_name']); ?> <?php echo esc_html($order_data['billing']['last_name']); ?></span>
                <?php endif; ?>

            </div>
            <div>
                <span>روش ارسال</span>
                <span><?php echo $order->get_shipping_method(); ?></span>
            </div>
            <div>
                <span>روش پرداخت</span>
                <span><?php echo $order->get_payment_method_title(); ?></span>
            </div>
            <div>
                <span>مجموع مبلغ سفارش</span>
                <span><?php echo $order->get_total(); ?></span>
            </div>

        </div>

    <?php
    }


    elseif ($status=='completed') {
        ?>
        <section class="checkout-process">
            <ol class="steps">
                <li class="step is-complete" data-step="۱">
                    <span>پرداخت شده</span>
                </li>
                <li class="step is-complete" data-step="۲">
                    <span>در حال آماده سازی</span>
                </li>
                <li class="step is-complete" data-step="۳">
                    <span>تحویل به پست</span>
                </li>
                <li class="step is-complete" data-step="۴">
                    <span>تحویل به مشتری</span>
                </li>
            </ol>
        </section>

        <div class="note-cutomer-tracking">
        <?php $notes = $order->get_customer_order_notes();
        //var_dump($notes);
        foreach ($notes as $note) {
            //var_dump($item);
            echo "<p>" . $note->comment_content . "</p>";
        }
        ?>
        </div>

        <div class="order-track-detail">
            <div>
                <span>محصول</span>
                <span>
                <?php
                $i = 0;
                foreach ($order->get_items() as $item_key => $item ):
                    $i++;
                    ?>
                    <a href="<?php the_permalink($item->get_product_id());?>"> <?php echo $i. '. '; echo esc_html(wp_trim_words($item->get_name(), apply_filters('pishro_product_title_trim_words', 8), NULL));?></a>
                <?php endforeach; ?>
                </span>
            </div>
            <div>
                <span>تاریخ ثبت سفارش</span>
                <span><?php echo wc_format_datetime( $order->get_date_created() ); ?></span>
            </div>
            <div>
                <span>نام خریدار</span>

                <?php if(!empty($order_data['shipping']['first_name'])) : ?>
                    <span><?php echo esc_html($order_data['shipping']['first_name']); ?> <?php echo esc_html($order_data['shipping']['last_name']); ?></span>
                <?php else : ?>
                    <span><?php echo esc_html($order_data['billing']['first_name']); ?> <?php echo esc_html($order_data['billing']['last_name']); ?></span>
                <?php endif; ?>

            </div>
            <div>
                <span>روش ارسال</span>
                <span><?php echo $order->get_shipping_method(); ?></span>
            </div>
            <div>
                <span>روش پرداخت</span>
                <span><?php echo $order->get_payment_method_title(); ?></span>
            </div>
            <div>
                <span>مجموع مبلغ سفارش</span>
                <span><?php echo $order->get_total(); ?></span>
            </div>

        </div>

        <?php
    }


    elseif ($status=='cancelled') {
        ?>
        <section class="checkout-process">
            <ol class="steps">
                <li class="step is-active" data-step="۱">
                    <span>لغو شده</span>
                </li>
                <li class="step" data-step="۲">
                    <span>در حال آماده سازی</span>
                </li>
                <li class="step" data-step="۳">
                    <span>تحویل به پست</span>
                </li>
                <li class="step" data-step="۴">
                    <span>تحویل به مشتری</span>
                </li>
            </ol>
        </section>

        <div class="note-cutomer-tracking">
            <?php $notes = $order->get_customer_order_notes();
            //var_dump($notes);
            foreach ($notes as $note) {
                //var_dump($item);
                echo "<p>" . $note->comment_content . "</p>";
            }
            ?>
        </div>

        <div class="order-track-detail">
            <div>
                <span>محصول</span>
                <span>
                <?php
                $i = 0;
                foreach ($order->get_items() as $item_key => $item ):
                    $i++;
                    ?>
                    <a href="<?php the_permalink($item->get_product_id());?>"> <?php echo $i. '. '; echo esc_html(wp_trim_words($item->get_name(), apply_filters('pishro_product_title_trim_words', 8), NULL));?></a>
                <?php endforeach; ?>
                </span>
            </div>
            <div>
                <span>تاریخ ثبت سفارش</span>
                <span><?php echo wc_format_datetime( $order->get_date_created() ); ?></span>
            </div>
            <div>
                <span>نام خریدار</span>

                <?php if(!empty($order_data['shipping']['first_name'])) : ?>
                    <span><?php echo esc_html($order_data['shipping']['first_name']); ?> <?php echo esc_html($order_data['shipping']['last_name']); ?></span>
                <?php else : ?>
                    <span><?php echo esc_html($order_data['billing']['first_name']); ?> <?php echo esc_html($order_data['billing']['last_name']); ?></span>
                <?php endif; ?>

            </div>
            <div>
                <span>روش ارسال</span>
                <span><?php echo $order->get_shipping_method(); ?></span>
            </div>
            <div>
                <span>روش پرداخت</span>
                <span><?php echo $order->get_payment_method_title(); ?></span>
            </div>
            <div>
                <span>مجموع مبلغ سفارش</span>
                <span><?php echo $order->get_total(); ?></span>
            </div>

        </div>

        <?php
    }


    elseif ($status=='on-hold') {
        ?>
        <section class="checkout-process">
            <ol class="steps">
                <li class="step is-active" data-step="۱">
                    <span>در انتظار بررسی</span>
                </li>
                <li class="step" data-step="۲">
                    <span>در حال آماده سازی</span>
                </li>
                <li class="step" data-step="۳">
                    <span>تحویل به پست</span>
                </li>
                <li class="step" data-step="۴">
                    <span>تحویل به مشتری</span>
                </li>
            </ol>
        </section>

        <div class="note-cutomer-tracking">
            <?php $notes = $order->get_customer_order_notes();
            //var_dump($notes);
            foreach ($notes as $note) {
                //var_dump($item);
                echo "<p>" . $note->comment_content . "</p>";
            }
            ?>
        </div>

        <div class="order-track-detail">
            <div>
                <span>محصول</span>
                <span>
                <?php
                $i = 0;
                foreach ($order->get_items() as $item_key => $item ):
                    $i++;
                    ?>
                    <a href="<?php the_permalink($item->get_product_id());?>"> <?php echo $i. '. '; echo esc_html(wp_trim_words($item->get_name(), apply_filters('pishro_product_title_trim_words', 8), NULL));?></a>
                <?php endforeach; ?>
                </span>
            </div>
            <div>
                <span>تاریخ ثبت سفارش</span>
                <span><?php echo wc_format_datetime( $order->get_date_created() ); ?></span>
            </div>
            <div>
                <span>نام خریدار</span>

                <?php if(!empty($order_data['shipping']['first_name'])) : ?>
                    <span><?php echo esc_html($order_data['shipping']['first_name']); ?> <?php echo esc_html($order_data['shipping']['last_name']); ?></span>
                <?php else : ?>
                    <span><?php echo esc_html($order_data['billing']['first_name']); ?> <?php echo esc_html($order_data['billing']['last_name']); ?></span>
                <?php endif; ?>

            </div>
            <div>
                <span>روش ارسال</span>
                <span><?php echo $order->get_shipping_method(); ?></span>
            </div>
            <div>
                <span>روش پرداخت</span>
                <span><?php echo $order->get_payment_method_title(); ?></span>
            </div>
            <div>
                <span>مجموع مبلغ سفارش</span>
                <span><?php echo $order->get_total(); ?></span>
            </div>

        </div>

        <?php
    }


    elseif ($status=='refunded') {
        ?>
        <section class="checkout-process">
            <ol class="steps">
                <li class="step is-complete" data-step="۱">
                    <span>پرداخت شده</span>
                </li>
                <li class="step is-complete" data-step="۲">
                    <span>در حال آماده سازی</span>
                </li>
                <li class="step is-complete" data-step="۳">
                    <span>تحویل به پست</span>
                </li>
                <li class="step is-complete" data-step="۴">
                    <span>تحویل به مشتری</span>
                </li>
                <li class="step is-active" data-step="۵">
                    <span>مسترد شده</span>
                </li>
            </ol>
        </section>

        <div class="note-cutomer-tracking">
            <?php $notes = $order->get_customer_order_notes();
            //var_dump($notes);
            foreach ($notes as $note) {
                //var_dump($item);
                echo "<p>" . $note->comment_content . "</p>";
            }
            ?>
        </div>

        <div class="order-track-detail">
            <div>
                <span>محصول</span>
                <span>
                <?php
                $i = 0;
                foreach ($order->get_items() as $item_key => $item ):
                    $i++;
                    ?>
                    <a href="<?php the_permalink($item->get_product_id());?>"> <?php echo $i. '. '; echo esc_html(wp_trim_words($item->get_name(), apply_filters('pishro_product_title_trim_words', 8), NULL));?></a>
                <?php endforeach; ?>
                </span>
            </div>
            <div>
                <span>تاریخ ثبت سفارش</span>
                <span><?php echo wc_format_datetime( $order->get_date_created() ); ?></span>
            </div>
            <div>
                <span>نام خریدار</span>

                <?php if(!empty($order_data['shipping']['first_name'])) : ?>
                    <span><?php echo esc_html($order_data['shipping']['first_name']); ?> <?php echo esc_html($order_data['shipping']['last_name']); ?></span>
                <?php else : ?>
                    <span><?php echo esc_html($order_data['billing']['first_name']); ?> <?php echo esc_html($order_data['billing']['last_name']); ?></span>
                <?php endif; ?>

            </div>
            <div>
                <span>روش ارسال</span>
                <span><?php echo $order->get_shipping_method(); ?></span>
            </div>
            <div>
                <span>روش پرداخت</span>
                <span><?php echo $order->get_payment_method_title(); ?></span>
            </div>
            <div>
                <span>مجموع مبلغ سفارش</span>
                <span><?php echo $order->get_total(); ?></span>
            </div>

        </div>

        <?php
    }
}

?>

















<div class="order-track-form">
    <form action="" method="post">
        <p>
            <input type="text" name="orderid" placeholder="شماره سفارش را وارد کنید" value="<?php if (isset($_POST['track'])) {echo $_POST['orderid'];}  ?>" required>
            <input type="submit" class="button" name="track" value="رهگیری سفارش">
        </p>
        <?php wp_nonce_field( 'woocommerce-order_tracking', 'woocommerce-order-tracking-nonce' ); ?>
    </form>
</div>
