<?php
/**
 * Add custom fields to WooCommerce comments
 */

add_filter( 'comment_form_top', 'ecommercehints_comment_form_top' );
//add_action( 'comment_form_before_fields', 'ecommercehints_comment_form_top');
function ecommercehints_comment_form_top() {
    if (is_product()) { ?>
        <div class="custom-field-review">
            <div class="review-radio-question">
                <header>آبا شما خرید این محصول را پیشنهاد میکنید؟</header>
                <div class="radio-list">
                    <div class="radio-item">
                        <input type="radio" name="recommendstatus" id="yes_suggest" value="1" checked>
                        <label for="yes_suggest">بلی, پیشنهاد میکنم</label>
                    </div>
                    <div class="radio-item">
                        <input type="radio" name="recommendstatus" id="no_suggest" value="0">
                        <label for="no_suggest">خیر, پیشنهاد نمیکنم</label>
                    </div>
                    <div class="radio-item">
                        <input type="radio" name="recommendstatus" id="idontknow" value="2">
                        <label for="idontknow">نظری ندارم</label>
                    </div>
                </div>
            </div>

            <?php global $pishro_options; ?>
            <?php if ($pishro_options['active_slider_reviews']) { ?>
            <div class="rate-list">

                <?php if (!empty($pishro_options['review_but'])) { ?>
                <div class="rate-item select-slide">
                    <b><?php echo $pishro_options['review_but']; ?></b>
                    <input type="range" id="range1" name="range1" min="0" max="100" value="50" step="10">
                </div>
                <?php } ?>

                <?php if (!empty($pishro_options['review_power'])) { ?>
                <div class="rate-item select-slide">
                    <b><?php echo $pishro_options['review_power']; ?></b>
                    <input type="range" id="range2" name="range2" min="0" max="100" value="50" step="10">
                </div>
                <?php } ?>

                <?php if (!empty($pishro_options['review_quality'])) { ?>
                <div class="rate-item select-slide">
                    <b><?php echo $pishro_options['review_quality']; ?></b>
                    <input type="range" id="range3" name="range3" min="0" max="100" value="50" step="10">
                </div>
                <?php } ?>
                <?php if (!empty($pishro_options['review_property'])) { ?>
                <div class="rate-item select-slide">
                    <b><?php echo $pishro_options['review_property']; ?></b>
                    <input type="range" id="range4" name="range4" min="0" max="100" value="50" step="10">
                </div>
                <?php } ?>
                <?php if (!empty($pishro_options['review_buy'])) { ?>
                <div class="rate-item select-slide">
                    <b><?php echo $pishro_options['review_buy']; ?></b>
                    <input type="range" id="range5" name="range5" min="0" max="100" value="50" step="10">
                </div>
                <?php } ?>
            </div>
            <?php } ?>
        </div>
        <?php
    }
}

// Step 2: Save custom fields data when a comment is submitted
add_action('comment_post', 'save_comment_custom_fields');
function save_comment_custom_fields($comment_id) {

    if (isset($_POST['recommendstatus'])) {
        $recommendstatus = sanitize_text_field($_POST['recommendstatus']);
        add_comment_meta($comment_id, 'recommendstatus', $recommendstatus);
    }

    if (isset($_POST['range1'])) {
        $range1 = sanitize_text_field($_POST['range1']);
        add_comment_meta($comment_id, 'range1', $range1);
    }
    if (isset($_POST['range2'])) {
        $range2 = sanitize_text_field($_POST['range2']);
        add_comment_meta($comment_id, 'range2', $range2);
    }
    if (isset($_POST['range3'])) {
        $range3 = sanitize_text_field($_POST['range3']);
        add_comment_meta($comment_id, 'range3', $range3);
    }
    if (isset($_POST['range4'])) {
        $range4 = sanitize_text_field($_POST['range4']);
        add_comment_meta($comment_id, 'range4', $range4);
    }
    if (isset($_POST['range5'])) {
        $range5 = sanitize_text_field($_POST['range5']);
        add_comment_meta($comment_id, 'range5', $range5);
    }
}


// Step 3: Display custom fields data in the comments loop
add_filter('woocommerce_review_before_comment_meta', 'display_comment_custom_fields', -10);
function display_comment_custom_fields() {
    global $comment;
    $recommend = get_comment_meta($comment->comment_ID, 'recommendstatus', true);

    if ($recommend==1) { ?>
        <div class="show-recommend-status">

            <span class="recommend-status-yes"> خرید این محصول را پیشنهاد میکنم   </span>
        </div> <?php
    }
    if ($recommend==0) { ?>
        <div class="show-recommend-status">
            <span class="recommend-status-no">  خرید این محصول را پیشنهاد نمیکنم   </span>
        </div> <?php
    }
}

// display rate-range to view
add_action('woocommerce_review_comment_text','display_comment_rate_list');
function display_comment_rate_list() {
    global $pishro_options;
    global $comment;
    $but = get_comment_meta($comment->comment_ID, 'range1', true);
    $power = get_comment_meta($comment->comment_ID, 'range2', true);
    $quality = get_comment_meta($comment->comment_ID, 'range3', true);
    $propery = get_comment_meta($comment->comment_ID, 'range4', true);
    $buy = get_comment_meta($comment->comment_ID, 'range5', true);
    ?>
    <?php if ($pishro_options['active_slider_reviews']) { ?>
    <div class="show-my-rate">
        <?php if (!empty($pishro_options['review_but'])) { ?>
        <div class="rate-item">
            <span><?php echo $pishro_options['review_but']; ?></span>
            <div class="rate-content">
                <div class="rate-result" style="width:<?php echo $but; ?>%"></div>
            </div>
        </div>
        <?php } ?>

        <?php if (!empty($pishro_options['review_power'])) { ?>
        <div class="rate-item">
            <span><?php echo $pishro_options['review_power']; ?></span>
            <div class="rate-content">
                <div class="rate-result" style="width:<?php echo $power; ?>%"></div>
            </div>
        </div>
        <?php } ?>

        <?php if (!empty($pishro_options['review_quality'])) { ?>
        <div class="rate-item">
            <span><?php echo $pishro_options['review_quality']; ?></span>
            <div class="rate-content">
                <div class="rate-result" style="width:<?php echo $quality; ?>%"></div>
            </div>
        </div>
        <?php } ?>

        <?php if (!empty($pishro_options['review_property'])) { ?>
        <div class="rate-item">
            <span><?php echo $pishro_options['review_property']; ?></span>
            <div class="rate-content">
                <div class="rate-result" style="width:<?php echo $propery; ?>%"></div>
            </div>
        </div>
        <?php } ?>

        <?php if (!empty($pishro_options['review_buy'])) { ?>
        <div class="rate-item">
            <span><?php echo $pishro_options['review_buy']; ?></span>
            <div class="rate-content">
                <div class="rate-result" style="width:<?php echo $buy; ?>%"></div>
            </div>
        </div>
        <?php } ?>
    </div>
    <?php } ?>
    <?php
}
