<?php get_header(); ?>


<div class="container">
    <?php
    if( function_exists('pishro_breadcrumb')):
        echo pishro_breadcrumb();
    endif;
    ?>

    <section class="hero-page hero-page-single">
        <div class="main-page main-page-single">

            <?php
            if ( have_posts() ) :
            while ( have_posts() ) : the_post(); ?>
            <article class="post-single">
                <header><h1><?php the_title(); ?></h1></header>
                <div class="box-pm">
                    <div class="post-meta">
                        <i class="fa-regular fa-clock"></i>
                        <span><?php the_time(' d F Y'); ?></span>
                    </div>
                    <div class="post-meta">
                        <i class="fa-regular fa-user"></i>
                        <span><?php the_author(); ?></span>
                    </div>
                    <div class="post-meta">
                        <i class="fa-regular fa-folder"></i>
                        <?php the_category(' , '); ?>
                    </div>

                </div>
                <?php
                if (has_post_thumbnail()) { ?>
                    <div class="post-thumbnail">
                        <figure>
                            <?php the_post_thumbnail(); ?>
                        </figure>
                    </div>
                    <?php } ?>

                <div class="content-single">
                    <?php the_content(); ?>
                </div>
                <?php
                $tags_list = get_the_tag_list( '' );
                if ( $tags_list && ! is_wp_error( $tags_list ) ) : ?>
                    <div class="post-tag">
                            <span><i class="fa-solid fa-tags"></i> <?php esc_html_e( ' برچسب ها: ', 'studiare' ); ?></span>
                            <?php echo wp_kses_post( $tags_list ); ?>
                    </div>
                <?php endif; ?>

            </article>
            <?php
            endwhile;
            endif;
            ?>

            <?php if ($pishro_options['active_related_post']) { ?>
            <section class="post-single">
                <div class="related-head">
                    <h4>مطالب مرتبط</h4>
                </div>
                    <div id="related_slider" class="owl-carousel owl-theme">

                        <?php
                        $related = get_posts( array(
                            'category__in' => wp_get_post_categories($post->ID),
                            'numberposts' => 5,
                            'post__not_in' => array($post->ID) ) );
                        if( $related ) foreach( $related as $post ) {
                            setup_postdata($post); ?>
                            <div class="item related-item">
                                <a href="<?php the_permalink(); ?>" target="_blank">
                                    <figure>
                                        <?php
                                        if (has_post_thumbnail()) {
                                            the_post_thumbnail();
                                        } else {
                                            ?><img src="<?php echo get_template_directory_uri() . '/img/0.jpg' ?>"> <?php
                                        }
                                        ?>
                                    </figure>
                                </a>

                                <h2><a href="<?php the_permalink(); ?>" target="_blank"><?php the_title(); ?></a> </h2>
                                <div class="down">
                                    <div class="post-meta">
                                        <?php the_time(' d F Y'); ?>
                                    </div>
                                    <div class="post-meta">
                                        <?php the_author(); ?>
                                    </div>
                                </div>
                            </div>
                        <?php }
                        wp_reset_postdata(); ?>

                    </div>
            </section>
            <?php } ?>

            <?php if ( comments_open() || get_comments_number() ) : ?>
                <div class="comment-box">
                    <?php comments_template('', true); ?>
                </div>
            <?php endif; ?>
        </div>

        <?php if ( is_active_sidebar( 'pishro_blog' )  && $pishro_options['sidebar_position_single']!='none') { ?>
            <aside class="side-page">
            <?php dynamic_sidebar('pishro_blog'); ?>
            </aside>

            <?php if ($pishro_options['sidebar_position_single']=='right') { ?>
                <style>
                    .hero-page-single {flex-direction: row-reverse}
                </style>
            <?php } ?>
        <?php
        }
        else {
            ?>
            <style>
                .main-page-single {width: 100%}
            </style>
            <?php
        }
        ?>
    </section>


</div>

<?php get_footer(); ?>