<?php
if (isset($_GET['reset-link-sent'])) {
    get_template_part('woocommerce/myaccount/lost-password-confirmation');
}
else {

global $pishro_options;
?>
<!doctype html>
<html <?php language_attributes(); ?> >
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <link rel="icon" type="image/png" href="<?php echo $pishro_options['favicon_option']['url']; ?>">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <style>
        .login-page {
            width: 480px;
            padding: 6% 20px 0;
            margin: auto;
            max-width: 100%;
        }
        .form-login-pishro {
            position: relative;
            z-index: 1;
            background: #FFFFFF;
            width: 100%;
            margin: 0 auto 100px;
            padding: 45px;
            text-align: center;
            box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
            border-radius: 5px;
        }
        .form-login-pishro input {
            outline: 0;
            background: #f2f2f2;
            border: 0;
            margin: 0 0 15px;
            padding: 15px;
            box-sizing: border-box;
            font-size: 14px;
        }
        .form-login-pishro label.woocommerce-form-login__rememberme {
            text-align: right;
        }
        .form-login-pishro button {
            text-transform: uppercase;
            outline: 0;
            background: var(--second-color);
            width: 100%;
            border: 0;
            padding: 10px;
            color: #FFFFFF;
            font-size: 14px;
            -webkit-transition: all 0.3 ease;
            transition: all 0.3 ease;
            cursor: pointer;
            font-weight: 600;
        }
        .form-login-pishro button:hover,.form-login-pishro button:active,.form-login-pishro button:focus {
            background: var(--second-color);
        }
        .form-login-pishro p.woocommerce-LostPassword {
            margin: 15px 0 0;
        }
        .form-login-pishro .message {
            margin: 15px 0 0;
            color: #b3b3b3;
            font-size: 14px;
            border-top: 1px solid #ddd;
            padding-top: 15px;
        }
        .form-login-pishro .message a {
            color: #1BD2A3;
            text-decoration: none;
            font-weight: 600;
        }
        .form-login-pishro .register-form {
            display: none;
        }
        .form-login-pishro .logo {
            max-width: 200px;
            margin: 0 auto 45px;
        }
        .back-register-login {
            position: absolute;
            width: 100%;
            bottom: 0;
            top: 0;
        }
        <?php
        if ($pishro_options['login_back']['background-image']) {
            ?>
        .back-register-login {
            background: url("<?php echo $pishro_options['login_back']['background-image'];  ?>");
            background-size: <?php echo $pishro_options['login_back']['background-size'];  ?>;
            background-attachment: <?php echo $pishro_options['login_back']['background-attachment'];  ?>;
            background-repeat: <?php echo $pishro_options['login_back']['background-repeat'];  ?>;
        }
        <?php
    }
    else {
        ?>
        .back-register-login {
            background: url("<?php echo get_template_directory_uri().'/img/1/bg-login.jpg';  ?>") !important;
            background-size: cover !important;
        }
        <?php
        }
        ?>


        @media screen and (max-width: 400px ) {
            .form-login-pishro {
                padding: 20px;
            }
        }

    </style>
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php if ( function_exists( 'wp_body_open' ) ) {wp_body_open();} ?>
<?php
/**
 * Lost password form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-lost-password.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 9.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
?>


<div class="back-register-login">

    <div class="login-page">
        <?php do_action( 'woocommerce_before_lost_password_form' ); ?>

        <div class="form-login-pishro">
            <div class="logo">
                <?php if ($pishro_options['logo_option']['url']) { ?>
                    <a href="<?php echo home_url(); ?>"><img src="<?php echo $pishro_options['logo_option']['url']; ?>"></a>
                <?php }
                else {
                    ?><a href="<?php echo home_url(); ?>"><img src="<?php echo get_template_directory_uri() ?>/img/logo.png"></a><?php
                } ?>
            </div>

            <form method="post" class="woocommerce-ResetPassword lost_reset_password">

                <p><?php echo apply_filters( 'woocommerce_lost_password_message', esc_html__( 'Lost your password? Please enter your username or email address. You will receive a link to create a new password via email.', 'woocommerce' ) ); ?></p><?php // @codingStandardsIgnoreLine ?>

                <p class="woocommerce-form-row woocommerce-form-row--first form-row form-row-wide"><br>
                    <input class="woocommerce-Input woocommerce-Input--text input-text" placeholder="نام کاربری یا ایمیل" type="text" name="user_login" id="user_login" autocomplete="username" />
                </p>

                <div class="clear"></div>

                <?php do_action( 'woocommerce_lostpassword_form' ); ?>

                <p class="woocommerce-form-row form-row">
                    <input type="hidden" name="wc_reset_password" value="true" />
                    <button type="submit" class="woocommerce-Button button<?php echo esc_attr( wc_wp_theme_get_element_class_name( 'button' ) ? ' ' . wc_wp_theme_get_element_class_name( 'button' ) : '' ); ?>" value="<?php esc_attr_e( 'Reset password', 'woocommerce' ); ?>"><?php esc_html_e( 'Reset password', 'woocommerce' ); ?></button>
                </p>

                <?php wp_nonce_field( 'lost_password', 'woocommerce-lost-password-nonce' ); ?>

            </form>

        </div>
    </div>

</div>
<?php do_action( 'woocommerce_after_lost_password_form' ); ?>

<?php wp_footer(); ?>
</body>
</html>
<?php } ?>