<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     3.9.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $related_products ) : ?>

    <?php
    $heading = apply_filters( 'woocommerce_product_related_products_heading', __( 'Related products', 'woocommerce' ) );

    if ( $heading ) :
        ?>
        <header class="title-hero"><h4><?php echo esc_html( $heading ); ?></h4></header>
    <?php endif; ?>
	<section class="related products hero-product hero-archive">
		
		<?php //woocommerce_product_loop_start(); ?>

			<?php foreach ( $related_products as $related_product ) : ?>

					<?php
					$post_object = get_post( $related_product->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object ); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited, Squiz.PHP.DisallowMultipleAssignments.Found

					//wc_get_template_part( 'content', 'product' );
                    ?>
                <div class="product-item">
                    <?php
                    global $product;
                    $attribute_taxonomies =  wc_get_attribute_taxonomies();
                    foreach ($attribute_taxonomies as $item) {
                        $att_name = $item->attribute_name;
                        $terms = get_the_terms(get_the_ID(), 'pa_'.$att_name);

                        if (is_array($terms)) {
                            ?>
                            <div class="color">
                                <ul>
                                    <?php
                                    foreach ($terms as $term) :
                                        $tooltip = $term->name;
                                        // بالایی ترم بود این متاهای ترمه
                                        $colors = get_term_meta( $term->term_id, 'product_attribute_color', 1 );
                                        //$colors = get_term_meta( $term->term_id, 'wpcvs_color', true );
                                        ?>
                                        <li>
                                            <?php if ($colors) { ?>
                                                <span style="background: <?php echo $colors; ?>">
                                        <b><?php echo $tooltip; ?></b>
                                    </span>
                                                <?php
                                            }
                                            else { ?>
                                                <small><?php echo $tooltip; ?></small>
                                            <?php } ?>
                                        </li>
                                    <?php endforeach; ?>
                                </ul>
                            </div>
                        <?php }

                    }
                    ?>


                    <?php if($product->is_on_sale()) { ?>
                        <div class="discount">
                            <?php echo pishro_wooocmmerce_discount(get_the_ID()) ?>%
                        </div>
                    <?php } ?>

                    <?php //echo do_shortcode("[acoqvw_quickview]"); ?>

                    <figure class="product-thumbnails">
                        <a href="<?php the_permalink(); ?>" target="_blank">
                            <?php

                            $arr = array(200,200);
                            echo (has_post_thumbnail() ? get_the_post_thumbnail(get_the_id(), array(200, 200), array('class' => 'main-img')) : wc_placeholder_img('woocommerce_thumbnail'));
                            pishro_second_thumbnail($arr);
                            ?>
                        </a>
                    </figure>
                    <h2><a href="<?php the_permalink(); ?>" target="_blank"><?php the_title(); ?></a></h2>
                    <div class="down">

                        <?php
                        if ($product->is_in_stock()) : ?>
                            <div class="add_to_cart_button"><?php
                                echo sprintf('<a href="%s" data-quantity="1" class="%s" %s><i class="fa-solid fa-circle-plus"></i></a>',
                                    esc_url($product->add_to_cart_url()),
                                    esc_attr(implode(' ', array_filter(array(
                                        'button', 'product_type_' . $product->get_type(),
                                        $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
                                        $product->supports('ajax_add_to_cart') ? 'ajax_add_to_cart' : '',
                                    )))),
                                    wc_implode_html_attributes(array(
                                        'data-product_id' => $product->get_id(),
                                        'data-product_sku' => $product->get_sku(),
                                        'aria-label' => $product->add_to_cart_description(),
                                        'rel' => 'nofollow',
                                    )),
                                    esc_html($product->add_to_cart_text())
                                );
                                ?></div>
                            <?php if ($product->get_price_html()) : ?>
                                <?php if( $product->is_type( 'simple' ) ) : ?>
                                    <div class="price"><?php echo $product->get_price_html(); ?></div>
                                <?php else : ?>
                                    <div class="price-variable"><div class="price"><?php echo $product->get_price_html(); ?></div></div>
                                <?php endif; ?>
                            <?php else : ?>
                                <div style="font-weight: 600;">تماس بگیرید</div>
                            <?php endif; ?>
                        <?php else: ?>
                            <div class="not_stock"><i class="fa-solid fa-multiply"></i>موجود نیست !</div>
                        <?php endif;?>

                    </div>
                </div>


			<?php endforeach; ?>

		<?php //woocommerce_product_loop_end(); ?>

	</section>
	<?php
endif;

wp_reset_postdata();
